@php
    $userType = \App\Helpers\Helpers::getUserRole()->type_id ?? [];

    $userAccess = \App\Helpers\Helpers::getUserAccess() ?? [];
    $access = $userAccess['accesses'] ?? [];
@endphp
@extends('layout.master')
@section('content')
    <div class="page-heading-block">
        <div class="page-title-block">
            <h4 class="page-title mt-5">Dashboard</h4>
        </div>
    </div>
    <div class="page-main-content">
        <div class="first-section-container" style="width: 65%;">
            <div class="count-badges-section d-flex justify-content-between my-4 gap-sm-1 gap-md-2 gap-lg-3 gap-xl-4 w-100">
                <div
                    class="count-badge p-4 d-flex align-items-center justify-content-between {{ !empty($userType) ? ($userType == 1 || ($userType == 2 && (!empty($access['dashboard.widgets.estates']) && in_array(2, $access['dashboard.widgets.estates']))) ? '' : 'hide') : 'hide' }}">
                    <span class="estate-badge-text">Total Estates</span>
                    <span class="estate-badge-count rounded-circle text-center"
                        style="min-width:83px">{{ $estate_count ?? 0 }}</span>
                </div>
                <div
                    class="count-badge p-4 d-flex align-items-center justify-content-between {{ !empty($userType) ? ($userType == 1 || ($userType == 2 && (!empty($access['dashboard.widgets.residence']) && in_array(2, $access['dashboard.widgets.residence']))) ? '' : 'hide') : 'hide' }}">
                    <span class="residents-badge-text">Total Residents</span>
                    <span class="residents-badge-count rounded-circle text-center"
                        style="min-width:83px">{{ $resident_count ?? 0 }}</span>
                </div>
                <div
                    class="count-badge p-4 d-flex align-items-center justify-content-between {{ !empty($userType) ? ($userType == 1 || ($userType == 2 && (!empty($access['dashboard.widgets.cisitors']) && in_array(2, $access['dashboard.widgets.cisitors']))) ? '' : 'hide') : 'hide' }}">
                    <span class="visitor-badge-text">Visitors for Today</span>
                    <span class="visitor-badge-count rounded-circle text-center"
                        style="min-width:83px">{{ $visitor_count ?? 0 }}</span>
                </div>
            </div>
            <div class="dashboard-estate-list-section my-4 gap-sm-1 gap-md-2 gap-lg-3 gap-xl-4 w-100">
                <h5 class="page-heading-block">Estates</h5>
                <div class="dashboard-estate-list gap-sm-1 gap-md-2 gap-lg-3 gap-xl-4 p-3">
                    @if (empty($estate_list) || count($estate_list) == 0)
                        <p class="d-flex justify-content-center w-100 m-0">No records</p>
                    @else
                        <div class="" style="max-height: 300px; overflow-y:auto; place-items: center;">
                            {{-- @for ($i = 0; $i < 100; $i++) --}}
                            @foreach ($estate_list ?? [] as $estate)
                                <a href="{{ route('estates.view', ['id' => $estate->id]) }}"
                                    style="text-decoration: none; color: #000; cursor: pointer; width:250px;"
                                    class=" d-flex flex-column justify-content-center align-items-center py-2 my-2">
                                    <img src="{{ !empty($estate->public_url) ? $estate->public_url : asset('assets/images/blank-image.svg') }}"
                                        alt="" width="200" height="150">
                                    <span class="pt-2">
                                        {{ $estate->name ?? '' }}
                                    </span>
                                </a>
                            @endforeach
                            {{-- @endfor --}}
                        </div>
                    @endif
                </div>
            </div>
        </div>
    </div>
@endsection
