<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>Car Granty System</title>

    {{-- google fonts --}}
    <link rel="stylesheet" href="{{ asset('css/fonts.css') }}">

    <!--bootstarp -->
    <link href="{{ asset('css/bootstrap.min.css') }}" rel='stylesheet'>

    <!-- Additional CSS -->
    <link href="{{ asset('css/style.css') }}" rel='stylesheet'>
    <!-- Toast CSS -->
    <link href="{{ asset('css/toast.css') }}" rel='stylesheet'>
    <!-- Daterange css-->
    <link href="{{ asset('assets/plugins/date-range-picker/daterangepicker.css') }}" rel='stylesheet'>

    <link href="{{ asset('assets/plugins/datatable/dataTables.bootstrap5.min.css') }}" rel="stylesheet">
    <link href="{{ asset('assets/plugins/magnific_popup/magnific-popup.min.css') }}" rel="stylesheet">

    <!-- DataTables Buttons CSS -->
    <link href="{{ asset('assets/plugins/datatable/buttons.min.css') }}" rel="stylesheet">
    @stack('styles')
</head>

<body>
    <!-- Header  -->
    @include('layout.header')
    <!-- Page Content  -->
    {{-- <main class="d-flex" style="min-height:100vh;"> --}}
    <main class="d-flex flex-column view-height-style">
        @include('layout.sidebar-menu')
        <div class="main-area float-end">
            <div class="content-area">
                @include('components.toast-message')
                @yield('content')
            </div>
        </div>
    </main>
    <footer class="main-area text-center py-3">
        <p>&copy; {{ date('Y') }} LPR. All Rights Reserved. App Version: 1.0.0</p>
    </footer>


    <!-- JQuery -->
    <script type="text/javascript" src="{{ asset('assets/plugins/jquery/jquery.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('assets/plugins/magnific_popup/magnific-popup.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('assets/plugins/date-range-picker/moment.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('assets/plugins/date-range-picker/daterangepicker.min.js') }}"></script>

    <script type="text/javascript" src="{{ asset('assets/plugins/bootstrap/bootstrap.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('assets/plugins/datatable/jquery.dataTables.min.js') }}"></script>

    <!-- Sweet Alert -->
    <script type="text/javascript" src="{{ asset('assets/plugins/sweet-alert/sweetalert2.js') }}"></script>

    <!-- DataTables Buttons JS -->
    <script type="text/javascript" src="{{ asset('assets/plugins/datatable/buttons.min.js') }}"></script>

    <!-- JSZip for Excel export -->
    <script type="text/javascript" src="{{ asset('assets/plugins/datatable/jszip.min.js') }}"></script>

    <!-- PDFMake for PDF export -->
    <script type="text/javascript" src="{{ asset('assets/plugins/datatable/pdfmake.min.js') }}"></script>

    <script type="text/javascript" src="{{ asset('assets/plugins/datatable/vfs_fonts.js') }}"></script>

    <!-- Buttons for Excel, CSV, PDF -->
    <script type="text/javascript" src="{{ asset('assets/plugins/datatable/buttons.html5.min.js') }}"></script>

    <!-- Buttons for Print -->
    <script type="text/javascript" src="{{ asset('assets/plugins/datatable/buttons.print.min.js') }}"></script>

    <script>
        setTimeout(() => {
            $('.toast').remove();
        }, 5000);

        $(document).ready(function() {
            $('.popup-link').magnificPopup({
                type: 'image',
                closeBtnInside: true
            });
        });
    </script>
    @stack('scripts')
</body>

</html>
