@extends('layout.master')
@section('content')
    @php
        $userType = \App\Helpers\Helpers::getUserRole()->type_id ?? [];
        $userAccess = \App\Helpers\Helpers::getUserAccess() ?? [];
        $access = $userAccess['accesses'] ?? [];
    @endphp

    <div class="page-heading-block py-4">
        <div class="page-title-block d-flex align-items-center justify-content-between">
            <div class="d-flex align-items-center justify-content-between">
                {{-- <a href="{{ route('users.get') }}" class="back-btn">
                    &#x276e; &nbsp;BACK
                </a> --}}

                {{-- <h4 class="mx-2 mb-0 font-weight-bold">Users</h4> --}}
                <nav style="--bs-breadcrumb-divider: '>';" aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="javascript:void(0);">Profile</a></li>
                        <li class="breadcrumb-item active" aria-current="page">View</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>

    <div class="page-main-content">
        <div class="profile-view-block p-4 rounded">
            {{-- <div class="d-flex justify-content-end">
                <a href="{{ route('profile.edit') }}" class="btn small-btn" style="padding: 7px !important;">Edit</a>
            </div> --}}

            <form action="{{ route('profile.update', ['id' => $user_details->user_id]) }}" method="POST" class="row"
                id="add-user-form" enctype="multipart/form-data">
                {{ csrf_field() }}
                <div class="mb-3 col-4">
                    <label for="name" class="form-label">Name *</label>
                    <input type="text"
                        class="form-control rounded required {{ $errors->has('name') ? 'border-required' : '' }}"
                        name="name" id="name" value="{{ !empty(old('name')) ? old('name') : $user_details->name }}">
                    @if ($errors->has('name'))
                        <div class="text-danger required-label">{{ $errors->first('name') }}</div>
                    @endif
                </div>
                <input type="hidden" name="user_id" id="user_id" value="{{ $user_details->user_id }}">
                <div class="mb-3 col-4">
                    <label for="email" class="form-label">Email</label>
                    <input type="text"
                        class="form-control rounded required {{ $errors->has('email') ? 'border-required' : '' }}"
                        name="email" id="email"
                        value="{{ !empty(old('email')) ? old('email') : $user_details->email ?? '' }}">
                    @if ($errors->has('email'))
                        <div class="text-danger required-label">{{ $errors->first('email') }}</div>
                    @endif
                </div>
                <div class="mb-3 col-4 hide">
                    <label for="user_name" class="form-label">User Name *</label>
                    <input type="text"
                        class="form-control rounded required {{ $errors->has('user_name') ? 'border-required' : '' }}"
                        name="user_name" id="user_name"
                        value="{{ !empty(old('user_name')) ? old('user_name') : $user_details->user_name ?? '' }}" readonly
                        style="background: #e9ecef;">
                    @if ($errors->has('user_name'))
                        <div class="text-danger required-label">{{ $errors->first('user_name') }}</div>
                    @endif
                </div>
                {{-- <div class="mb-3 col-4">
                    <label for="contact-number" class="form-label">Contact Number</label>
                    <input type="text" class="form-control rounded" name="contact_number" id="contact-number"
                        value="{{ !empty(old('contact_number')) ? old('contact_number') : $user_details->contact_number }}">
                    @if ($errors->has('contact_number'))
                        <p class="user_data text-danger my-2">{{ $errors->first('contact_number') }}</p>
                    @endif
                </div> --}}

                <div class="mb-3 col-4">
                    <label for="contact-number" class="form-label">Contact Number</label>
                    <div class="input-group">

                        <select name="country_code" id="country_code" class="form-select-sm rounded-start border-0"
                            style="width: 105px; outline:none; -webkit-appearance: none;
                            -moz-appearance: none;"
                            disabled>
                            @if (!empty($country_codes))
                                @foreach ($country_codes ?? [] as $country_code)
                                    <option value="{{ $country_code->code }}"
                                        {{ $country_code->shortName == 'SG' ? 'selected' : '' }}>
                                        {{ $country_code->shortName }}({{ $country_code->code }})
                                    </option>
                                @endforeach
                            @endif
                        </select>
                        <input type="text" class="form-control rounded-end" name="contact_number" id="contact-number"
                            value="{{ !empty(old('contact_number')) ? old('contact_number') : $user_details->contact_number ?? '' }}">
                    </div>
                    @if ($errors->has('contact_number'))
                        <p class="user_data text-danger my-2">{{ $errors->first('contact_number') }}</p>
                    @endif
                </div>

                <div class="mb-3 col-4 user_type_block hide">
                    <label for="unit-no" class="form-label">Estate</label>
                    <select name="estate_id" id="" class="form-control form-select group-select rounded">
                        @foreach ($estates ?? [] as $estate)
                            <option value="{{ $estate->value }}"
                                {{ $user_details->estate_id == $estate->value ? 'selected' : '' }}>
                                {{ $estate->label }}
                            </option>
                        @endforeach
                    </select>
                </div>

                <div class="mb-3 d-grid">
                    <label class="form-label">Profile Image (PNG, JPEG)</label>
                    <input type="file" class="attachment-input" name="attachment" id="attachment"
                        accept="image/png, image/jpeg" />
                    <label for="attachment" class="attachment-label">
                        <div id="img-preview" class=" d-grid">
                            <img src="{{ !empty($user_details->public_url) ? $user_details->public_url : asset('assets/images/add-attachment-icon.svg') }}"
                                alt="" width="100" height="100">
                            <button type="button"
                                class="btn btn-danger btn-sm remove_image mt-1 {{ empty($user_details->public_url) ? 'hide' : '' }}"
                                data-image_id="{{ $user_details->profile_image_id ?? '' }}">Remove</button>
                        </div>
                    </label>
                </div>
                <div class="d-flex justify-content-end ">
                    <a href="{{ route('profile.view') }}" class="btn form-cancel-btn mx-3">Cancel</a>
                    <button type="submit" class="btn form-submit-btn">Update</button>
                </div>
            </form>
        </div>
    </div>





    @push('scripts')
        <script>
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': `{{ csrf_token() }}`
                }
            });
        </script>

        <script src="{{ asset('js/profile-edit-page.js') }}"></script>
    @endPush
@endsection
