@extends('layout.master')
@section('content')
    @php
        $userType = \App\Helpers\Helpers::getUserRole()->type_id ?? [];
        $userAccess = \App\Helpers\Helpers::getUserAccess() ?? [];
        $access = $userAccess['accesses'] ?? [];
    @endphp

    <div class="page-heading-block py-4">
        <div class="page-title-block d-flex align-items-center justify-content-between">
            <div class="d-flex align-items-center justify-content-between">
                {{-- <a href="{{ route('users.get') }}" class="back-btn">
                    &#x276e; &nbsp;BACK
                </a> --}}

                {{-- <h4 class="mx-2 mb-0 font-weight-bold">Users</h4> --}}
                <nav style="--bs-breadcrumb-divider: '>';" aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="javascript:void(0);">Profile</a></li>
                        <li class="breadcrumb-item active" aria-current="page">View</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>

    <div class="page-main-content">
        <div class="profile-view-block p-4 rounded">
            <div class="d-flex justify-content-end">
                <a href="{{ route('profile.edit') }}" class="btn small-btn" style="padding: 7px !important;">Edit</a>
            </div>
            <div class="d-flex align-items-center">
                <div class="mb-3 d-flex justify-content-center col-3" style="max-width: 180px;">

                    <div id="img-preview" class=" d-grid">
                        <img src="{{ !empty($user_details->public_url) ? $user_details->public_url : asset('assets/images/profile_placeholder.jpg') }}"
                            alt="" width="100" height="100">
                    </div>

                </div>

                <div class="row row-gap-3 w-75">
                    <div class="col-4">
                        <span>Name:</span>
                        <span class="fw-bold">{{ $user_details->name ?? '' }}</span>
                    </div>
                    <div class="col-4">
                        <span>Email:</span>
                        <span class="fw-bold">{{ $user_details->email ?? '' }}</span>
                    </div>
                    <div class="col-4">
                        <span>Contact Number:</span>
                        <span class="fw-bold">{{ $user_details->contact_number ?? '' }}</span>
                    </div>
                    <div class="col-4">

                        <div class="d-flex align-items-center gap-1">
                            <span>2fa</span>
                            <label class="switch">
                                <input type="checkbox" id="twoFactorToggle"
                                    {{ $user_details->is_two_factor ? 'checked' : '' }}
                                    data-user_id="{{ $user_details->user_id }}">
                                <span class="slider round"></span>
                            </label>
                        </div>

                        <div><span class="fw-bold border-bottom border-2 border-secondary " style="cursor: pointer;"
                                data-bs-toggle="modal" data-bs-target="#changePasswordModel">Change
                                Password</span></div>
                    </div>
                </div>

            </div>

        </div>
    </div>


    <div class="modal fade" id="changePasswordModel" tabindex="-1" aria-labelledby="changePasswordModelLabel"
        aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5" id="changePasswordModelLabel">Change Password</h1>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form action="{{ route('profile.change-password') }}" method="POST" id="change-password-form"
                        enctype="multipart/form-data">
                        {{ csrf_field() }}
                        <div class="row row-gap-3">
                            <div class="clo-12">
                                <label for="password" class="form-label">Current Password *</label>
                                <div class="input-group">
                                    <input type="password"
                                        class="form-control rounded required password {{ $errors->has('current_password') ? 'border-required' : '' }}"
                                        name="current_password" id="current_password"
                                        value="{{ old('current_password') }}">

                                    <span class="input_icon">
                                        <svg id="Icons" enable-background="new 0 0 128 128" height="24"
                                            viewBox="0 0 128 128" width="24" xmlns="http://www.w3.org/2000/svg">
                                            <path id="Hide"
                                                d="m79.891 65.078 7.27-7.27c.529 1.979.839 4.048.839 6.192 0 13.234-10.766 24-24 24-2.144 0-4.213-.31-6.192-.839l7.27-7.27c7.949-.542 14.271-6.864 14.813-14.813zm47.605-3.021c-.492-.885-7.47-13.112-21.11-23.474l-5.821 5.821c9.946 7.313 16.248 15.842 18.729 19.602-4.741 7.219-23.339 31.994-55.294 31.994-4.792 0-9.248-.613-13.441-1.591l-6.573 6.573c6.043 1.853 12.685 3.018 20.014 3.018 41.873 0 62.633-36.504 63.496-38.057.672-1.209.672-2.677 0-3.886zm-16.668-39.229-88 88c-.781.781-1.805 1.172-2.828 1.172s-2.047-.391-2.828-1.172c-1.563-1.563-1.563-4.094 0-5.656l11.196-11.196c-18.1-10.927-27.297-27.012-27.864-28.033-.672-1.209-.672-2.678 0-3.887.863-1.552 21.623-38.056 63.496-38.056 10.827 0 20.205 2.47 28.222 6.122l12.95-12.95c1.563-1.563 4.094-1.563 5.656 0s1.563 4.094 0 5.656zm-76.495 65.183 10.127-10.127c-2.797-3.924-4.46-8.709-4.46-13.884 0-13.234 10.766-24 24-24 5.175 0 9.96 1.663 13.884 4.459l8.189-8.189c-6.47-2.591-13.822-4.27-22.073-4.27-31.955 0-50.553 24.775-55.293 31.994 3.01 4.562 11.662 16.11 25.626 24.017zm15.934-15.935 21.809-21.809c-2.379-1.405-5.118-2.267-8.076-2.267-8.822 0-16 7.178-16 16 0 2.958.862 5.697 2.267 8.076z" />
                                        </svg>
                                    </span>
                                </div>
                                @if ($errors->has('current_password_error'))
                                    <div class="text-danger required-label">{{ $errors->first('current_password_error') }}
                                    </div>
                                @endif
                            </div>
                            <div class="clo-12">
                                <label for="password" class="form-label">New Password *</label>
                                <div class="input-group">
                                    <input type="password"
                                        class="form-control rounded required password new_password {{ $errors->has('new_password') ? 'border-required' : '' }}"
                                        name="new_password" id="new_password" value="{{ old('new_password') }}">

                                    <span class="input_icon">
                                        <svg id="Icons" enable-background="new 0 0 128 128" height="24"
                                            viewBox="0 0 128 128" width="24" xmlns="http://www.w3.org/2000/svg">
                                            <path id="Hide"
                                                d="m79.891 65.078 7.27-7.27c.529 1.979.839 4.048.839 6.192 0 13.234-10.766 24-24 24-2.144 0-4.213-.31-6.192-.839l7.27-7.27c7.949-.542 14.271-6.864 14.813-14.813zm47.605-3.021c-.492-.885-7.47-13.112-21.11-23.474l-5.821 5.821c9.946 7.313 16.248 15.842 18.729 19.602-4.741 7.219-23.339 31.994-55.294 31.994-4.792 0-9.248-.613-13.441-1.591l-6.573 6.573c6.043 1.853 12.685 3.018 20.014 3.018 41.873 0 62.633-36.504 63.496-38.057.672-1.209.672-2.677 0-3.886zm-16.668-39.229-88 88c-.781.781-1.805 1.172-2.828 1.172s-2.047-.391-2.828-1.172c-1.563-1.563-1.563-4.094 0-5.656l11.196-11.196c-18.1-10.927-27.297-27.012-27.864-28.033-.672-1.209-.672-2.678 0-3.887.863-1.552 21.623-38.056 63.496-38.056 10.827 0 20.205 2.47 28.222 6.122l12.95-12.95c1.563-1.563 4.094-1.563 5.656 0s1.563 4.094 0 5.656zm-76.495 65.183 10.127-10.127c-2.797-3.924-4.46-8.709-4.46-13.884 0-13.234 10.766-24 24-24 5.175 0 9.96 1.663 13.884 4.459l8.189-8.189c-6.47-2.591-13.822-4.27-22.073-4.27-31.955 0-50.553 24.775-55.293 31.994 3.01 4.562 11.662 16.11 25.626 24.017zm15.934-15.935 21.809-21.809c-2.379-1.405-5.118-2.267-8.076-2.267-8.822 0-16 7.178-16 16 0 2.958.862 5.697 2.267 8.076z" />
                                        </svg>
                                    </span>
                                </div>
                            </div>
                            <div class="clo-12">
                                <label for="password" class="form-label">Confirm Password *</label>
                                <div class="input-group">
                                    <input type="password"
                                        class="form-control rounded required password new_password_confirmation {{ $errors->has('new_password_confirmation') ? 'border-required' : '' }}"
                                        name="new_password_confirmation" id="new_password_confirmation"
                                        value="{{ old('new_password_confirmation') }}">

                                    <span class="input_icon">
                                        <svg id="Icons" enable-background="new 0 0 128 128" height="24"
                                            viewBox="0 0 128 128" width="24" xmlns="http://www.w3.org/2000/svg">
                                            <path id="Hide"
                                                d="m79.891 65.078 7.27-7.27c.529 1.979.839 4.048.839 6.192 0 13.234-10.766 24-24 24-2.144 0-4.213-.31-6.192-.839l7.27-7.27c7.949-.542 14.271-6.864 14.813-14.813zm47.605-3.021c-.492-.885-7.47-13.112-21.11-23.474l-5.821 5.821c9.946 7.313 16.248 15.842 18.729 19.602-4.741 7.219-23.339 31.994-55.294 31.994-4.792 0-9.248-.613-13.441-1.591l-6.573 6.573c6.043 1.853 12.685 3.018 20.014 3.018 41.873 0 62.633-36.504 63.496-38.057.672-1.209.672-2.677 0-3.886zm-16.668-39.229-88 88c-.781.781-1.805 1.172-2.828 1.172s-2.047-.391-2.828-1.172c-1.563-1.563-1.563-4.094 0-5.656l11.196-11.196c-18.1-10.927-27.297-27.012-27.864-28.033-.672-1.209-.672-2.678 0-3.887.863-1.552 21.623-38.056 63.496-38.056 10.827 0 20.205 2.47 28.222 6.122l12.95-12.95c1.563-1.563 4.094-1.563 5.656 0s1.563 4.094 0 5.656zm-76.495 65.183 10.127-10.127c-2.797-3.924-4.46-8.709-4.46-13.884 0-13.234 10.766-24 24-24 5.175 0 9.96 1.663 13.884 4.459l8.189-8.189c-6.47-2.591-13.822-4.27-22.073-4.27-31.955 0-50.553 24.775-55.293 31.994 3.01 4.562 11.662 16.11 25.626 24.017zm15.934-15.935 21.809-21.809c-2.379-1.405-5.118-2.267-8.076-2.267-8.822 0-16 7.178-16 16 0 2.958.862 5.697 2.267 8.076z" />
                                        </svg>
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div class="d-flex justify-content-end my-3 gap-2">
                            <button type="button" class="btn form-cancel-btn" data-bs-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn form-submit-btn">Update</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>


    @push('scripts')
        <script>
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': `{{ csrf_token() }}`
                }
            });
        </script>

        <script src="{{ asset('js/profile-view-page.js') }}"></script>


        <script>
            $(document).ready(function() {
                @if ($errors->any())
                    $('#changePasswordModel').modal('show');
                @endif
            });
        </script>
    @endPush
@endsection
