@extends('layout.master')
@section('content')
    @php
        $userType = \App\Helpers\Helpers::getUserRole()->type_id ?? [];
        $userAccess = \App\Helpers\Helpers::getUserAccess() ?? [];
        $access = $userAccess['accesses'] ?? [];
    @endphp
    @if (!empty($residents_list))
        <div class="page-heading-block py-4">
            <div class="page-title-block d-flex align-items-center justify-content-between">
                {{-- <div class="d-flex align-items-center justify-content-between">
                    <h4 class="mx-2 mb-0 font-weight-bold">Residence</h4>
                </div> --}}

                <nav style="--bs-breadcrumb-divider: '>';" aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ route('residents.get') }}">Residents</a></li>
                        <li class="breadcrumb-item active" aria-current="page">List</li>
                    </ol>
                </nav>

                <div class="d-flex">
                    <a href="{{ route('residents.add') }}"
                        class="btn add-btn mx-3 {{ !empty($userType) ? ($userType == 1 || $userType == 3 || ($userType == 2 && (!empty($access['residence']) && in_array(1, $access['residence']))) ? '' : 'hide') : 'hide' }}"
                        id="add_residence_btn">+ Add
                        Resident</a>
                    {{-- <a href="{{ route('visitors.add') }}" class="btn add-btn mx-3" id="add_visitor_btn">+ Add Visitor</a> --}}
                    {{-- <button class="btn more-btn mx-3 d-flex justify-content-center align-items-center" id="">More
                        &nbsp;
                        <svg xmlns="http://www.w3.org/2000/svg" width="10.86" height="5.72" viewBox="0 0 10.86 5.72">
                            <g id="arrow-down" transform="translate(-6.593 -15.569)">
                                <path id="Path_299" data-name="Path 299"
                                    d="M16.7,15.7l-4.677,4.559L7.346,15.7a.447.447,0,0,0-.625,0,.426.426,0,0,0,0,.608L11.7,21.156a.468.468,0,0,0,.653,0l4.975-4.85a.426.426,0,0,0,0-.61.447.447,0,0,0-.625,0Z"
                                    transform="translate(0 0)" fill="#6A7594" />
                            </g>
                        </svg>
                    </button> --}}
                </div>
            </div>
        </div>

        <div>
            <div class="tab-links-section">
                <ul class="nav nav-tabs border-0 ">
                    <li class="nav-item">
                        <a class="nav-link mx-2 py-2 px-4 rounded-top tab-links {{ empty($deleted) || $deleted != 1 ? 'active' : '' }}"
                            aria-current="page" href="{{ route('residents.get') }}">Active Residents</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link mx-2 py-2 px-4 rounded-top tab-links {{ !empty($deleted) && $deleted == 1 ? 'active' : '' }}"
                            href="{{ route('residents.get', ['deleted' => 1]) }}">Deleted Residents</a>
                    </li>
                </ul>
            </div>
            <div class="residences-details-block
                            rounded p-1 my-4">
                @php
                    $view = !empty($userType)
                        ? ($userType == 1 ||
                        $userType == 3 ||
                        ($userType == 2 && (!empty($access['residence']) && in_array(2, $access['residence'])))
                            ? ''
                            : 'hide')
                        : 'hide';
                    $edit = !empty($userType)
                        ? ($userType == 1 ||
                        $userType == 3 ||
                        ($userType == 2 && (!empty($access['residence']) && in_array(3, $access['residence'])))
                            ? ''
                            : 'hide')
                        : 'hide';
                    $delete = !empty($userType)
                        ? ($userType == 1 ||
                        $userType == 3 ||
                        ($userType == 2 && (!empty($access['residence']) && in_array(4, $access['residence'])))
                            ? ''
                            : 'hide')
                        : 'hide';
                @endphp
                @include('residences.table')
            </div>
        </div>
    @else
        <div class=" d-flex justify-content-center align-items-center pt-5">
            <p>No records found</p>
        </div>
    @endif

    {{-- filter model for residence --}}
    <div class="modal fade" id="residencefilter" tabindex="-1" aria-labelledby="residencefilterLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="residencefilterLabel">Filter Residents</h5>
                    {{-- <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button> --}}
                </div>
                <div class="modal-body">
                    <label for="filter_estate_id" class="form-label">Estate</label>
                    <select name="filter_estate_id" id="filter_estate_id" class="form-control form-select rounded" {{ $userType == 3 || $userType == 4 ? 'disabled' : '' }}>
                        <option value="">Select Estate</option>
                        @if (!empty($estate_name_list) && count($estate_name_list) > 0)
                            @foreach ($estate_name_list as $estate)
                                <option value="{{ $estate->value }}"
                                    {{ (!empty($filter_estate_id) && $estate->value == $filter_estate_id ? 'selected' : ($userType == 3 || $userType == 4 ? (!empty($user_estate_id) && $user_estate_id == $estate->value ? 'selected' : '') : '')) }}>
                                    {{ $estate->label }}</option>
                            @endforeach
                        @endif
                    </select>

                    <p class="text-danger required-label mb-1 hide">Please select estate</p>

                    <label for="filter_resident" class="form-label mt-2">Name</label>
                    <select name="filter_resident" id="filter_resident" class="form-control form-select rounded">
                        <option value="">Select Resident</option>
                        {{-- @if (!empty($residents_name_list) && count($residents_name_list) > 0)
                            @foreach ($residents_name_list as $resident)
                                <option value="{{ $resident->value }}"
                                    {{ !empty($filter_resident_id) && $resident->value == $filter_resident_id ? 'selected' : '' }}>
                                    {{ $resident->label }}</option>
                            @endforeach
                        @endif --}}
                    </select>

                    <label for="filter_model" class="form-label mt-2">Vehicle Make/Model</label>
                    <select name="filter_model" id="filter_model" class="form-control form-select rounded">
                        <option value="">Select Make/Model</option>
                        {{-- @if (!empty($residents_vehicle_model_list) && count($residents_vehicle_model_list) > 0)
                            @foreach ($residents_vehicle_model_list as $vehicle_model)
                                <option value="{{ $vehicle_model->model }}"
                                    {{ !empty($filter_model) && $vehicle_model->model == $filter_model ? 'selected' : '' }}>
                                    {{ $vehicle_model->model }}</option>
                            @endforeach
                        @endif --}}
                    </select>
                    <div class="w-100 d-flex gap-2 mt-2">

                        <input type="hidden" name="" id="selected_unit_no"
                            value="{{ $filter_resident_unit_id ?? '' }}">

                        <input type="hidden" name="" id="selected_residence"
                            value="{{ $filter_resident_id ?? '' }}">

                        <input type="hidden" name="" id="selected_model" value="{{ $filter_model ?? '' }}">

                        <input type="hidden" name="" id="selected_blk_no"
                            value="{{ $filter_resident_blk_id ?? '' }}">

                        <div class="w-50">
                            <label for="filter_resident_blk_no" class="form-label">Blk No.</label>
                            <select name="filter_resident_blk_no" id="filter_resident_blk_no"
                                class="form-control form-select rounded">
                                <option value="">Select Blk No</option>
                                {{-- @if (!empty($residents_blk_no_list) && count($residents_blk_no_list) > 0)
                                    @foreach ($residents_blk_no_list as $resident_blk_no)
                                        <option value="{{ $resident_blk_no->block_number }}"
                                            {{ !empty($filter_resident_blk_no) && $resident_blk_no->block_number == $filter_resident_blk_no ? 'selected' : '' }}>
                                            {{ $resident_blk_no->block_number }}</option>
                                    @endforeach
                                @endif --}}
                            </select>
                        </div>

                        <div class="w-50">
                            <label for="filter_resident_unit_no" class="form-label">Unit No.</label>
                            <select name="filter_resident_unit_no" id="filter_resident_unit_no"
                                class="form-control form-select rounded">
                                <option value="">Select Unit No</option>
                            </select>
                        </div>

                    </div>
                    <span class="hide text-danger text-center filter_error mt-3 d-flex justify-content-center ">Please fill
                        values to filter</span>
                </div>
                <div class="modal-footer">
                    {{-- <button type="button" class="btn btn-success residence_filter_clear">Clear</button> --}}
                    <button type="button" class="btn form-cancel-btn" data-bs-dismiss="modal">Close</button>
                    <button type="button" class="btn form-submit-btn" id="resident-filter-submit">Filter</button>
                </div>
            </div>
        </div>
    </div>
    @push('scripts')
        <!-- Add Splide Script-->
        <script>
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': `{{ csrf_token() }}`
                }
            });
        </script>

        <script src="{{ asset('js/residence-page.js') }}"></script>
    @endPush
@endsection
