<div class="residences-info-block p-3">
    @php
        $justify_style = 'justify-content-end';
        $show_filter = false;
        if (
            !empty($filter_estate_id) ||
            !empty($filter_resident_id) ||
            !empty($filter_model) ||
            !empty($filter_resident_blk_no) ||
            !empty($filter_resident_unit_no)
        ) {
            $justify_style = 'justify-content-between';
            $show_filter = true;
        }
        $resident_name = $estate_name = null;
        if (!empty($estate_name_list) && count($estate_name_list) > 0 && !empty($filter_estate_id)) {
            foreach ($estate_name_list as $estate) {
                if ($estate->value == $filter_estate_id) {
                    $estate_name = $estate->label;
                    break;
                }
            }
        }
        if (!empty($residents_name_list) && count($residents_name_list) > 0 && !empty($filter_resident_id)) {
            foreach ($residents_name_list as $resident) {
                if ($resident->value == $filter_resident_id) {
                    $resident_name = $resident->label;
                    break;
                }
            }
        }
    @endphp
    <div class="residences-search-section d-flex {{ $justify_style }} align-items-center mb-4">
        {{-- <div class="d-flex">
            <button class="btn bulk-action-btn d-flex justify-content-center align-items-center" id="">Bulk
                Action
                &nbsp;
                <svg xmlns="http://www.w3.org/2000/svg" width="10.86" height="5.72" viewBox="0 0 10.86 5.72">
                    <g id="arrow-down" transform="translate(-6.593 -15.569)">
                        <path id="Path_299" data-name="Path 299"
                            d="M16.7,15.7l-4.677,4.559L7.346,15.7a.447.447,0,0,0-.625,0,.426.426,0,0,0,0,.608L11.7,21.156a.468.468,0,0,0,.653,0l4.975-4.85a.426.426,0,0,0,0-.61.447.447,0,0,0-.625,0Z"
                            transform="translate(0 0)" fill="#6A7594" />
                    </g>
                </svg>
            </button>
            <button class="btn mx-3 apply-btn">
                Apply
            </button>
        </div> --}}
        @if ($show_filter)

            <div class="d-flex gap-2">
                <span class="mx-2">Results filtered by</span>

                @if (!empty($filter_estate_id))
                    <div class="filters-applied-list ml-2 my-auto  filter-type-list" style="">
                        <div class="d-flex">
                            <span class="my-auto">Estate:
                                <span class="filter-type-list-show mx-1">{{ $estate_name ?? '-' }}</span>
                            </span>
                            <button type="button" class="filter_close clear-filter px-0 py-0 my-auto border-0"
                                data-type="estate_id">
                                <img src="{{ asset('/assets/images/icons/close-filled.svg') }}" alt="close modal"
                                    width="18">
                            </button>
                        </div>
                    </div>
                @endif

                @if (!empty($filter_resident_id))
                    <div class="filters-applied-list ml-2 my-auto  filter-type-list" style="">
                        <div class="d-flex">
                            <span class="my-auto">Resident:
                                <span class="filter-type-list-show mx-1">{{ $resident_name ?? '-' }}</span>
                            </span>
                            <button type="button" class="filter_close clear-filter px-0 py-0 my-auto border-0"
                                data-type="resident_id">
                                <img src="{{ asset('/assets/images/icons/close-filled.svg') }}" alt="close modal"
                                    width="18">
                            </button>
                        </div>
                    </div>
                @endif

                @if (!empty($filter_model))
                    <div class="filters-applied-list ml-2 my-auto  filter-type-list" style="">
                        <div class="d-flex">
                            <span class="my-auto">Make /Model:
                                <span class="filter-type-list-show mx-1">{{ $filter_model ?? '-' }}</span>
                            </span>
                            <button type="button" class="filter_close clear-filter px-0 py-0 my-auto border-0"
                                data-type="model">
                                <img src="{{ asset('/assets/images/icons/close-filled.svg') }}" alt="close modal"
                                    width="18">
                            </button>
                        </div>
                    </div>
                @endif

                @if (!empty($filter_resident_blk_no))
                    <div class="filters-applied-list ml-2 my-auto  filter-type-list" style="">
                        <div class="d-flex">
                            <span class="my-auto">Blk No:
                                <span class="filter-type-list-show mx-1">{{ $filter_resident_blk_no ?? '-' }}</span>
                            </span>
                            <button type="button" class="filter_close clear-filter px-0 py-0 my-auto border-0"
                                data-type="blk_no">
                                <img src="{{ asset('/assets/images/icons/close-filled.svg') }}" alt="close modal"
                                    width="18">
                            </button>
                        </div>
                    </div>
                @endif

                @if (!empty($filter_resident_unit_no))
                    <div class="filters-applied-list ml-2 my-auto  filter-type-list" style="">
                        <div class="d-flex">
                            <span class="my-auto">Unit No:
                                <span class="filter-type-list-show mx-1">{{ $filter_resident_unit_no ?? '-' }}</span>
                            </span>
                            <button type="button" class="filter_close clear-filter px-0 py-0 my-auto border-0"
                                data-type="unit_no">
                                <img src="{{ asset('/assets/images/icons/close-filled.svg') }}" alt="close modal"
                                    width="18">
                            </button>
                        </div>
                    </div>
                @endif
            </div>
        @endif

        <div class="d-flex">
            <input type="text" placeholder="Search Residence" class="search mx-3 search_resident">
            <button type="button" class="btn filter_btn residence_filter" data-bs-toggle="modal"
                data-bs-target="#residencefilter">
                <img src="{{ asset('assets/images/icons/filter.png') }}" alt="">
            </button>
        </div>
    </div>
    <div class="table-responsive">
        <table class="table" id="residences-info-table" style="width: 100%;">
            <thead>
                <tr>
                    {{-- <th scope="col" class="align-middle" style="width:1%;">
                        <input type="checkbox" name="" class="table-check-box">
                    </th> --}}
                    <th scope="col" class="align-middle" style="width:5%;">Vehicle ID</th>
                    <th scope="col" class="align-middle" style="width:8%;">Vehicle License</th>
                    <th scope="col" class="align-middle" style="width:6%;">Vechicle IU</th>
                    <th scope="col" class="align-middle" style="width:8%;">Vehicle Make/Model</th>
                    <th scope="col" class="align-middle" style="width:11%;">Contact No.</th>
                    <th scope="col" class="align-middle" style="width:10%;">Name</th>
                    @if (!empty($menu) && $menu == 'residence')
                        <th scope="col" class="align-middle" style="width:10%;">Estate Name</th>
                    @endif
                    <th scope="col" class="align-middle" style="width:6%;">Blk No.</th>
                    <th scope="col" class="align-middle" style="width:7%;">Unit No.</th>
                    <th scope="col" class="align-middle" style="width:9%;">Park. Validity Status</th>
                    {{-- <th scope="col" class="align-middle" style="width:11%;">Park. Validity Date/Time</th> --}}
                    @if (empty($deleted))
                        <th scope="col" class="align-middle" style="width:3%;">Action</th>
                    @endif
                </tr>
            </thead>
            <tbody>
                @if (!empty($residents_list) && count($residents_list) > 0)
                    @foreach ($residents_list as $resident)
                        <tr>
                            {{-- <td class="align-middle"><input type="checkbox" name=""
                                    data-value="{{ $resident->id }}"></td> --}}
                            <td class="align-middle">{{ str_pad($loop->index + 1, 3, '0', STR_PAD_LEFT) }}</td>
                            <!-- doubt about vehical id -->
                            <td class="align-middle">{{ $resident->licence ?? '-' }}</td>
                            <td class="align-middle">{{ $resident->iu ?? '-' }}</td>
                            <td class="align-middle">{{ $resident->model ?? '-' }}</td>
                            <td class="align-middle">{{ $resident->contact_number ?? '-' }}</td>
                            <td class="align-middle">{{ $resident->full_name ?? '-' }}</td>
                            @if (!empty($menu) && $menu == 'residence')
                                <td class="align-middle"><span
                                        class="resident_name_td">{{ $resident->estate_name ?? '-' }}</span></td>
                            @endif
                            <td class="align-middle">{{ $resident->block_number ?? '-' }}</td>
                            <td class="align-middle">{{ $resident->unit_number ?? '-' }}</td>
                            <td class="align-middle">{{ $resident->is_active == 1 ? 'Active' : 'Inactive' }}
                            </td>
                            {{-- <td class="align-middle">
                                {{ !empty($resident->valid_to) ? date('M j, Y g.i A', strtotime($resident->valid_to)) : '-' }}
                            </td> --}}
                            @if (empty($deleted))
                                <td class="align-middle">
                                    <div class="dropdown">
                                        <button class="btn table-action-btn" onclick="toggleDropdown(this)">
                                            <img src="{{ asset('assets/images/icons/menu_vertical.svg') }}"
                                                alt="" width="25" height="25">
                                        </button>
                                        <div class="dropdown-menu table-actions-dropdown" style="display: none;">
                                            <a class="dropdown-item action-links {{ $view }}"
                                                href="{{ route('residents.view', ['id' => $resident->id, 'menu' => !empty($current_url) && $current_url == 'estates' ? 'estates' : null]) }}"><img
                                                    src="{{ asset('assets/images/icons/eye.svg') }}"
                                                    alt="">&nbsp;View</a>
                                            <a class="dropdown-item action-links {{ $edit }}"
                                                href="{{ route('residents.edit', ['id' => $resident->id, 'menu' => !empty($current_url) && $current_url == 'estates' ? 'estates' : null]) }}"><img
                                                    src="{{ asset('assets/images/icons/edit.svg') }}"
                                                    alt="">&nbsp;Edit</a>
                                            <a class="dropdown-item action-links {{ $delete }}"
                                                href="{{ route('residents.delete', ['id' => $resident->id, 'vehicle_id' => $resident->vehicle_id, 'menu' => !empty($current_url) && $current_url == 'estates' ? 'estates' : null]) }}"
                                                onclick="return deleteConfirmation(event);"><img
                                                    src="{{ asset('assets/images/icons/delete.svg') }}"
                                                    alt="">&nbsp;Delete</a>
                                        </div>
                                    </div>
                                </td>
                            @endif
                        </tr>
                    @endforeach
                @else
                    <tr>
                        <td class="text-center" colspan="12">
                            No records found
                        </td>
                    </tr>
                @endif
            </tbody>
        </table>
    </div>
</div>


{{-- <div class="modal left fade" id="exampleModal" tabindex="" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header border-0 position-relative">
                <a href="" class="text-decoration-none mx-2 close-icon">X</a>
                <h4 class="my-2 filter-heading">Filter</h4>
            </div>
            <div class="modal-body">
                <div class="nav flex-sm-column flex-row">
                    <form action="">
                        <label for="filter-estate-select" class="form-label">Estate</label>
                        <select name="estate" id="filter-estate-select" class="form-control form-select filter-estate-select rounded">

                        </select>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div> --}}
