<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Car Granty System</title>
    {{-- google fonts --}}
    <link rel="stylesheet" href="{{ asset('css/fonts.css') }}">
    <!--bootstarp -->
    <link href="{{ asset('css/bootstrap.min.css') }}" rel='stylesheet'>
    <!-- Toast CSS -->
    <link href="{{ asset('css/toast.css') }}" rel='stylesheet'>
</head>

<body>
    <section class="vh-100">
        @include('components.toast-message')
        <div class="container-fluid h-custom">
            <div class="row d-flex justify-content-center align-items-center h-100">
                <div class="col-md-7 col-lg-7 col-xl-7 p-0">
                    <img src="{{ asset('assets/images/login-banner.png') }}" class="img-fluid w-100 vh-100"
                        alt="Sample image">
                </div>
                <div class="col-md-5 col-lg-5 col-xl-5 d-flex justify-content-center align-items-center">
                    <form action="{{ route('resident.login.submit') }}" method="POST" class="" id="login-form">
                        {{ csrf_field() }}
                        <h3 class="heading text-center py-2">LPR Parking <br> Management System</h3>
                        {{-- <h4 class="sub-heading text-center py-2 ">Admin Login</h4> --}}
                        <div class="row gy-3 gy-md-4 overflow-hidden">
                            <div class="p-0">
                                <label for="user_data" class="form-label">E-mail / Mobile</label>
                                <input type="text"
                                    class="form-control {{ !empty($errors->has('user_data')) ? 'border-required' : '' }}"
                                    name="user_data" id="user_data" placeholder="name@example.com"
                                    value="{{ old('user_data') ?? '' }}">
                                @if ($errors->has('user_data'))
                                    <p class="user_data text-danger my-2">{{ $errors->first('user_data') }}</p>
                                @endif
                            </div>
                            <div class="p-0 position-relative">
                                <label for="password" class="form-label">Password</label>
                                <div class="input-group">
                                    <input type="password"
                                        class="form-control {{ !empty($errors->has('password')) ? 'border-required' : '' }}"
                                        name="password" id="password" value="{{ old('password') ?? '' }}">
                                    <span class="input_icon">
                                        <svg id="Icons" enable-background="new 0 0 128 128" height="24"
                                            viewBox="0 0 128 128" width="24" xmlns="http://www.w3.org/2000/svg">
                                            <path id="Hide"
                                                d="m79.891 65.078 7.27-7.27c.529 1.979.839 4.048.839 6.192 0 13.234-10.766 24-24 24-2.144 0-4.213-.31-6.192-.839l7.27-7.27c7.949-.542 14.271-6.864 14.813-14.813zm47.605-3.021c-.492-.885-7.47-13.112-21.11-23.474l-5.821 5.821c9.946 7.313 16.248 15.842 18.729 19.602-4.741 7.219-23.339 31.994-55.294 31.994-4.792 0-9.248-.613-13.441-1.591l-6.573 6.573c6.043 1.853 12.685 3.018 20.014 3.018 41.873 0 62.633-36.504 63.496-38.057.672-1.209.672-2.677 0-3.886zm-16.668-39.229-88 88c-.781.781-1.805 1.172-2.828 1.172s-2.047-.391-2.828-1.172c-1.563-1.563-1.563-4.094 0-5.656l11.196-11.196c-18.1-10.927-27.297-27.012-27.864-28.033-.672-1.209-.672-2.678 0-3.887.863-1.552 21.623-38.056 63.496-38.056 10.827 0 20.205 2.47 28.222 6.122l12.95-12.95c1.563-1.563 4.094-1.563 5.656 0s1.563 4.094 0 5.656zm-76.495 65.183 10.127-10.127c-2.797-3.924-4.46-8.709-4.46-13.884 0-13.234 10.766-24 24-24 5.175 0 9.96 1.663 13.884 4.459l8.189-8.189c-6.47-2.591-13.822-4.27-22.073-4.27-31.955 0-50.553 24.775-55.293 31.994 3.01 4.562 11.662 16.11 25.626 24.017zm15.934-15.935 21.809-21.809c-2.379-1.405-5.118-2.267-8.076-2.267-8.822 0-16 7.178-16 16 0 2.958.862 5.697 2.267 8.076z" />
                                        </svg>
                                    </span>
                                </div>
                                @if ($errors->has('password'))
                                    <p class="user_data text-danger my-2">{{ $errors->first('password') }}</p>
                                @elseif ($errors->has('msg'))
                                    <p class="text-danger my-2">{{ $errors->first() }}</p>
                                @endif
                            </div>
                            {{-- <div class="p-0">
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" value="" name="remember_me"
                                        id="remember_me">
                                    <label class="form-check-label text-secondary" for="remember_me">
                                        Remember me
                                    </label>
                                </div>
                            </div> --}}
                            <div class="p-0">
                                <div class="d-grid">
                                    <button class="btn bsb-btn-sm login-btn" type="submit">LOGIN</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>

    <style>
        .input_icon {
            position: absolute;
            display: inline-block;
            z-index: 5;
            right: 10px;
            top: 50%;
            transform: translateY(-50%);
            font-size: 1rem;
        }

        .heading {
            color: #0D2E89;
            font-weight: bolder;
            font-family: Poppins, sans-serif;
        }

        #login-form {
            width: 65%;
        }

        #login-form label {
            font-size: 14px;
        }

        #login-form #user_data,
        #login-form #password {
            padding: 11px;
        }

        .sub-heading {
            color: #000000;
            font-weight: bold;
        }

        .login-btn {
            background: #0D2E89;
            color: #fff;
            border-radius: 4px;
            padding: 11px;
        }

        .login-btn:hover {
            background: #041a57;
            color: #fff;
        }

        .border-required {
            border-color: #dc3b79 !important;
        }
    </style>
    <!-- JQuery -->
    <script type="text/javascript" src="{{ asset('assets/plugins/jquery/jquery.min.js') }}"></script>

    <!-- Sweet Alert -->
    <script type="text/javascript" src="{{ asset('assets/plugins/sweet-alert/sweetalert2.js') }}"></script>

    <script>
        setTimeout(() => {
            $('.toast').remove();
        }, 5000);

        $(document).ready(function() {
            $('.input_icon').click(function() {
                var passwordField = $('#password');
                var passwordFieldType = passwordField.attr('type');

                if (passwordFieldType === 'password') {
                    passwordField.attr('type', 'text');
                    $(this).empty();
                    $(this).append(
                        '<svg id="Icons" enable-background="new 0 0 128 128" height="24" viewBox="0 0 128 128" width="24" xmlns="http://www.w3.org/2000/svg"><path id="Show" d="m64 104c-41.873 0-62.633-36.504-63.496-38.057-.672-1.209-.672-2.678 0-3.887.863-1.552 21.623-38.056 63.496-38.056s62.633 36.504 63.496 38.057c.672 1.209.672 2.678 0 3.887-.863 1.552-21.623 38.056-63.496 38.056zm-55.293-40.006c4.758 7.211 23.439 32.006 55.293 32.006 31.955 0 50.553-24.775 55.293-31.994-4.758-7.211-23.439-32.006-55.293-32.006-31.955 0-50.553 24.775-55.293 31.994zm55.293 24.006c-13.234 0-24-10.766-24-24s10.766-24 24-24 24 10.766 24 24-10.766 24-24 24zm0-40c-8.822 0-16 7.178-16 16s7.178 16 16 16 16-7.178 16-16-7.178-16-16-16z"/></svg>'
                    );
                } else {
                    passwordField.attr('type', 'password');
                    $(this).empty();
                    $(this).append(
                        '<svg id="Icons" enable-background="new 0 0 128 128" height="24" viewBox="0 0 128 128" width="24" xmlns="http://www.w3.org/2000/svg"><path id="Hide" d="m79.891 65.078 7.27-7.27c.529 1.979.839 4.048.839 6.192 0 13.234-10.766 24-24 24-2.144 0-4.213-.31-6.192-.839l7.27-7.27c7.949-.542 14.271-6.864 14.813-14.813zm47.605-3.021c-.492-.885-7.47-13.112-21.11-23.474l-5.821 5.821c9.946 7.313 16.248 15.842 18.729 19.602-4.741 7.219-23.339 31.994-55.294 31.994-4.792 0-9.248-.613-13.441-1.591l-6.573 6.573c6.043 1.853 12.685 3.018 20.014 3.018 41.873 0 62.633-36.504 63.496-38.057.672-1.209.672-2.677 0-3.886zm-16.668-39.229-88 88c-.781.781-1.805 1.172-2.828 1.172s-2.047-.391-2.828-1.172c-1.563-1.563-1.563-4.094 0-5.656l11.196-11.196c-18.1-10.927-27.297-27.012-27.864-28.033-.672-1.209-.672-2.678 0-3.887.863-1.552 21.623-38.056 63.496-38.056 10.827 0 20.205 2.47 28.222 6.122l12.95-12.95c1.563-1.563 4.094-1.563 5.656 0s1.563 4.094 0 5.656zm-76.495 65.183 10.127-10.127c-2.797-3.924-4.46-8.709-4.46-13.884 0-13.234 10.766-24 24-24 5.175 0 9.96 1.663 13.884 4.459l8.189-8.189c-6.47-2.591-13.822-4.27-22.073-4.27-31.955 0-50.553 24.775-55.293 31.994 3.01 4.562 11.662 16.11 25.626 24.017zm15.934-15.935 21.809-21.809c-2.379-1.405-5.118-2.267-8.076-2.267-8.822 0-16 7.178-16 16 0 2.958.862 5.697 2.267 8.076z"/></svg>'
                    );
                }
            });
        });
    </script>
</body>

</html>
