<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Submit Visitor Details</title>
    {{-- google fonts --}}
    <link rel="stylesheet" href="{{ asset('css/fonts.css') }}">

    <!--bootstarp -->
    <link href="{{ asset('css/bootstrap.min.css') }}" rel='stylesheet'>

    <!-- Additional CSS -->
    <link href="{{ asset('css/style.css') }}" rel='stylesheet'>
    <!-- Toast CSS -->
    <link href="{{ asset('css/toast.css') }}" rel='stylesheet'>
    <!-- Daterange css-->
    <link href="{{ asset('assets/plugins/date-range-picker/daterangepicker.css') }}" rel='stylesheet'>

    <link href="{{ asset('assets/plugins/datatable/dataTables.bootstrap5.min.css') }}" rel="stylesheet">

    <style>
        .heading {
            color: #0D2E89;
            font-weight: bolder;
            font-family: Poppins, sans-serif;
        }

        .footer {
            width: 100%;
            font-family: Poppins, sans-serif;
        }
    </style>
</head>

<body>
    @include('components.toast-message')
    <div class="d-grid justify-content-center align-items-center" style="min-height: 90vh;">
        <div class="page-main-content">
            <h2 class="heading d-flex justify-content-center align-items-center my-4">Add Your Vehicle Details</h2>
            <div class="add-visitor-form-block p-4 mx-3 rounded">

                <div class="invite-details mb-4">
                    <p class="mb-0">Resident Name: <span
                            style="color: #0D2E89;">{{ $visitor->resident_name ?? '' }}</span></p>
                    <p class="mb-0">Purpose: <span style="color: #0D2E89;">{{ $visitor->purpose ?? '' }}</span></p>
                </div>
                <form action="{{ route('resident.submit-visitor', ['id' => $visitor->id]) }}" method="POST" class=""
                    id="visitor-vehicle-details-form" enctype="multipart/form-data">
                    {{ csrf_field() }}
                    <input type="hidden" name="menu" value="{{ $menu ?? '' }}">
                    {{-- <input type="hidden" name="vehicle_id" value="{{ $visitor->vehicle_id }}"> --}}
                    <input type="hidden" id="visitor_id" value="{{ $visitor->id }}">

                    <div class="row">
                        <div class="mb-3 col-12 col-md-4">
                            <label for="vehicle-model" class="form-label">Vehicle Make / Model *</label>

                            <input type="text" class="form-control rounded required" name="vehicle_model"
                                id="vehicle-model"
                                value="{{ !empty(old('vehicle_model')) ? old('vehicle_model') : $visitor->model ?? '' }}"
                                maxlength="30">
                        </div>

                        <div class="mb-3 col-12 col-md-4">
                            <label for="vehicle-license" class="form-label">Vehicle License *</label>
                            <input type="text" class="form-control rounded required" name="vehicle_license"
                                id="vehicle-license"
                                value="{{ !empty(old('vehicle_license')) ? old('vehicle_license') : $visitor->licence ?? '' }}"
                                maxlength="20">
                        </div>

                        <div class="mb-3 col-12 col-md-4">
                            <label for="vehicle-iu" class="form-label">Vehicle IU</label>
                            <input type="text" class="form-control rounded" name="vehicle_iu" id="vehicle-iu"
                                value="{{ !empty(old('vehicle_iu')) ? old('vehicle_iu') : $visitor->iu ?? '' }}"
                                maxlength="20">
                        </div>
                    </div>

                    <div class="row">
                        <div class="mb-3 col-12 col-md-4">
                            <label for="visitor-name" class="form-label">Visitor Name *</label>
                            <input type="text" class="form-control rounded required" name="visitor_name"
                                id="visitor-name"
                                value="{{ !empty(old('visitor_name')) ? old('visitor_name') : $visitor->full_name ?? '' }}" readonly style="background: #e9ecef;">
                        </div>
                        <div class="mb-3 col-12 col-md-4">
                            <label for="mobile-number" class="form-label">Visitor Mobile Number *</label>
                            <input type="text" class="form-control rounded required mobile_number" name="mobile_number"
                                id="mobile-number"
                                value="{{ !empty(old('mobile_number')) ? old('mobile_number') : $visitor->contact_number ?? '' }}" readonly style="background: #e9ecef;">
                        </div>
                    </div>

                    <input type="hidden" id="form_date" value="{{ $visitor->valid_from ?? '' }}">
                    <input type="hidden" id="to_date" value="{{ $visitor->valid_to ?? '' }}">

                    <div class="row">
                        {{-- <div class="mb-3 col-12 col-md-4">
                            <label for="rfid" class="form-label">RFID</label>
                            <input type="text" class="form-control rounded" name="rfid" id="rfid"
                                value="{{ !empty(old('rfid')) ? old('rfid') : $visitor->rfid ?? '' }}" maxlength="20">
                        </div> --}}
                        <div class="d-flex justify-content-end gap-3">
                            {{-- <a href="javascript:void(0)" onclick="window.close();" class="btn form-cancel-btn">Cancel</a> --}}
                            <button type="submit" class="btn visitor-vehicle-form-submit-btn">Submit</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <footer class="footer text-center mt-4">
        <p>&copy; {{ date('Y') }} LPR. All Rights Reserved. App Version: 1.0.0</p>
    </footer>

    <!-- JQuery -->
    <script type="text/javascript" src="{{ asset('assets/plugins/jquery/jquery.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('assets/plugins/date-range-picker/moment.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('assets/plugins/date-range-picker/daterangepicker.min.js') }}"></script>

    <script type="text/javascript" src="{{ asset('assets/plugins/bootstrap/bootstrap.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('assets/plugins/datatable/jquery.dataTables.min.js') }}"></script>

    <!-- Sweet Alert -->
    <script type="text/javascript" src="{{ asset('assets/plugins/sweet-alert/sweetalert2.js') }}"></script>

    <script>
        setTimeout(() => {
            $('.toast').remove();
        }, 5000);

        $(document).ready(function() {

            let fromDate = $("#form_date").val();
            let toDate = $("#to_date").val();

            let validFromDate = moment(fromDate, "YYYY-MM-DD HH:mm:ss");
            let validToDate = moment(toDate, "YYYY-MM-DD HH:mm:ss");

            $("#validity-date").daterangepicker({
                timePicker: true,
                startDate: validFromDate,
                endDate: validToDate,
                locale: {
                    format: "M/DD/YY hh:mm A",
                },
            });

            $(document).on("click", ".remove_image", function(e) {
                e.preventDefault();
                let imageId = $(this).data("image_id");
                if (imageId) {
                    Swal.fire({
                        title: "Are you sure?",
                        text: "You want to delete profile image?",
                        icon: "warning",
                        showCancelButton: true,
                        confirmButtonText: "Yes, delete it!",
                        cancelButtonText: "No, cancel!",
                    }).then((result) => {
                        if (result.isConfirmed) {
                            let visitorId = $("#visitor_id").val();

                            $.ajax({
                                url: "/visitors/delete-profile-image",
                                type: "get",
                                data: {
                                    image_id: imageId,
                                    visitor_id: visitorId,
                                },
                                success: function(result) {
                                    if (result.success) {
                                        $("#img-preview").empty();
                                        $("#attachment").val('');
                                        $("#img-preview")
                                            .html(`<img class="image-preview" src="/assets/images/add-attachment-icon.svg" width="100" height="100"/>
                                `);
                                        return true;
                                    }

                                    return false;
                                },
                                error: function(xhr, status, error) {
                                    console.error("AJAX Error:", status, error);
                                    Swal.fire({
                                        text: "Something went wrong!",
                                        icon: "warning",
                                    });

                                    return false;
                                },
                            });
                        } else {
                            return false;
                        }
                    });
                } else {
                    $("#img-preview").empty();
                    $("#attachment").val('');
                    $("#img-preview")
                        .html(`<img class="image-preview" src="/assets/images/add-attachment-icon.svg" width="100" height="100"/>
                        `);
                }
            });

            $("#visitor-vehicle-details-form").submit(function(event) {
                event.preventDefault();

                var isValid = true;
                $(".required-label").remove();

                $(this)
                    .find(".required")
                    .each(function() {
                        if ($(this).val() == null || $(this).val().trim() === "") {
                            isValid = false;
                            $(this).addClass("border-required");
                            $(this).after(
                                `<p class="text-danger required-label">This field is required</p>`
                            );
                        } else {
                            $(this).removeClass("border-required");
                            $(this).next(".required-label").remove();
                        }
                    });

                if (!isValid) {
                    return false;
                }

                this.submit();
            });
        });
    </script>


</body>



</html>
