@extends('layout.master')
@section('content')
    @php
        $userType = \App\Helpers\Helpers::getUserRole()->type_id ?? [];
        $userAccess = \App\Helpers\Helpers::getUserAccess() ?? [];
        $access = $userAccess['accesses'] ?? [];
    @endphp
    <div class="page-heading-block py-4">
        <div class="page-title-block d-flex align-items-center justify-content-between">
            {{-- <div class="d-flex align-items-center justify-content-between">
                <a href="{{ route('settings.index') }}" class="back-btn">
                    &#x276e; &nbsp;Back
                </a>

                <h4 class="mx-5 mb-0 font-weight-bold">Access Control</h4>
            </div> --}}

            <nav style="--bs-breadcrumb-divider: '>';" aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{ route('settings.index') }}">Settings</a></li>
                    <li class="breadcrumb-item active" aria-current="page">Access Control</li>
                </ol>
            </nav>

            <div class="d-flex">
                <a href="{{ route('settings.access-control-add') }}"
                    class="btn add-btn mx-3 {{ !empty($userType) ? ($userType == 1 || ($userType == 2 && (!empty($access['access-control']) && in_array(1, $access['access-control']))) ? '' : 'hide') : 'hide' }}"
                    id="add_residence_btn">+ Add
                    New</a>
            </div>
        </div>
    </div>

    <div class="page-main-content">
        <div class="tab-links-section">
            <ul class="nav nav-tabs border-0 ">
                <li class="nav-item">
                    <a class="nav-link mx-2 py-2 px-4 rounded-top tab-links {{ empty($inactive) || $inactive != 1 ? 'active' : '' }}"
                        aria-current="page" href="{{ route('settings.access-control') }}">Active Roles</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link mx-2 py-2 px-4 rounded-top tab-links {{ !empty($inactive) && $inactive == 1 ? 'active' : '' }}"
                        href="{{ route('settings.access-control', ['inactive' => 1]) }}">Inactive Roles</a>
                </li>
            </ul>
        </div>
        <div class="residences-details-block
                            rounded p-3 my-4">
            <table class="table" id="role-info-table" style="width: 100%;">
                <thead>
                    <tr>
                        <th scope="col" class="align-middle text-center"
                            {{ empty($roles_list) || count($roles_list) == 0 ? 'style=width:33% !important;' : '' }}>Role
                            Name</th>
                        <th scope="col" class="align-middle text-center"
                            {{ empty($roles_list) || count($roles_list) == 0 ? 'style=width:33% !important;' : '' }}>Allow
                            Login</th>
                        {{-- @if (empty($inactive)) --}}
                        <th scope="col" class="align-middle text-center"
                            {{ empty($roles_list) || count($roles_list) == 0 ? 'style=width:33% !important;' : '' }}>Action
                        </th>
                        {{-- @endif --}}
                    </tr>
                </thead>
                <tbody>
                    @if (!empty($roles_list) && count($roles_list) > 0)
                        @foreach ($roles_list as $role)
                            <tr>
                                <td class="align-middle text-center">{{ $role->name ?? '-' }}</td>
                                <td class="align-middle text-center">{{ $role->can_login == 1 ? 'Yes' : 'No' }}</td>
                                {{-- @if (empty($inactive)) --}}
                                <td class="align-middle d-flex justify-content-center align-items-center">
                                    <div class="dropdown">
                                        <button class="btn table-action-btn" onclick="toggleDropdown(this)">
                                            <img src="{{ asset('assets/images/icons/menu_vertical.svg') }}" alt=""
                                                width="25" height="25">
                                        </button>
                                        <div class="dropdown-menu" style="display: none;">
                                            {{-- <a class="dropdown-item action-links"
                                                    href="{{ route('settings.access-control-edit', ['id' => $role->id]) }}"><img
                                                        src="{{ asset('assets/images/icons/eye.svg') }}"
                                                        alt="">&nbsp;View</a> --}}
                                            <a class="dropdown-item action-links {{ !empty($userType) ? ($userType == 1 || ($userType == 2 && (!empty($access['access-control']) && in_array(3, $access['access-control']))) ? '' : 'hide') : 'hide' }}"
                                                href="{{ route('settings.access-control-edit', ['id' => $role->id]) }}"><img
                                                    src="{{ asset('assets/images/icons/edit.svg') }}"
                                                    alt="">&nbsp;Edit</a>
                                            {{-- <a class="dropdown-item action-links {{ !empty($userType) ? ($userType == 1 || ($userType == 2 && (!empty($access['access-control']) && in_array(4, $access['access-control']))) ? '' : 'hide') : 'hide' }}"
                                                href="{{ route('settings.access-control-delete', ['id' => $role->id]) }}"
                                                onclick="return confirm('Are you sure?');"><img
                                                    src="{{ asset('assets/images/icons/delete.svg') }}"
                                                    alt="">&nbsp;Delete</a> --}}
                                        </div>
                                    </div>
                                </td>
                                {{-- @endif --}}
                            </tr>
                        @endforeach
                    @else
                        <tr>
                            <td class="text-center" colspan="3">
                                No records found
                            </td>
                        </tr>
                    @endif
                </tbody>
            </table>
        </div>
    </div>
    @push('scripts')
        <script src="{{ asset('js/access-controll-page.js') }}"></script>
    @endpush
@endsection
