@extends('layout.master')
@section('content')
    @php
        $userType = \App\Helpers\Helpers::getUserRole()->type_id ?? [];
    @endphp
    <div class="page-heading-block py-4">
        <nav style="--bs-breadcrumb-divider: '>';" aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('settings.index') }}">Settings</a></li>
                <li class="breadcrumb-item"><a href="{{ route('settings.access-control') }}">Access Control</a></li>
                <li class="breadcrumb-item active" aria-current="page">Add Staff Role</li>
            </ol>
        </nav>
        {{-- <div class="page-title-block d-flex align-items-center justify-content-between">
            <div class="d-flex align-items-center justify-content-between">
                <a href="{{ route('settings.access-control') }}" class="back-btn">
                    &#x276e; &nbsp;Back
                </a>

                <h4 class="mx-5 mb-0 font-weight-bold">Add Staff Role</h4>
            </div>
        </div> --}}
    </div>

    <div class="page-main-content">
        <div class="add-role-form-block p-5 rounded">
            <form action="{{ route('settings.access-control-store') }}" method="POST" class="row"
                id="add-residence-form" enctype="multipart/form-data">
                {{ csrf_field() }}
                <div class="role-details-block row">
                    <div class="mb-3 col-6">
                        <label for="role-name" class="form-label">Role Name *</label>
                        <input type="text"
                            class="form-control rounded required {{ $errors->has('role_name') ? 'border-required' : '' }}"
                            name="role_name" id="role-name" value="{{ old('role_name') }}">
                        @if ($errors->has('role_name'))
                            <p class="user_data text-danger my-2">{{ $errors->first('role_name') }}</p>
                        @endif
                    </div>
                    <div class="mb-3 col-6">
                        <label for="role-description" class="form-label">Role Description</label>
                        <input type="text" class="form-control rounded" name="role_description" id="role-description">
                    </div>
                    <div class="mb-3 col-6">
                        <label class="form-lable">Allow Login</label>
                        <div>
                            <input type="radio" class="form-check-inline m-0" name="role_login" id="login_yes"
                                value="1" checked>
                            <label for="login_yes" class="m-1">Yes</label>
                            <input type="radio" class="form-check-inline m-0" name="role_login" id="login_no"
                                value="0">
                            <label for="login_no" class="m-1">No</label>
                        </div>
                    </div>
                    {{-- <div class="mb-3 col-6">
                        <label class="form-lable">User Type</label>
                        <div>
                            <input type="radio" class="form-check-inline m-0" name="user_type" id="sub_admin"
                                value="2" checked>
                            <label for="sub_admin" class="m-1">Sub Admin</label>
                            <input type="radio" class="form-check-inline m-0" name="user_type" id="estate_manager"
                                value="3">
                            <label for="estate_manager" class="m-1">Estate Manager</label>
                            <input type="radio" class="form-check-inline m-0" name="user_type" id="security_guard"
                                value="4">
                            <label for="security_guard" class="m-1">Security Guard</label>
                        </div>
                    </div> --}}
                </div>

                <div class="accordion accordion-flush mb-3" id="accesscontrolmenus">
                    <div class="accordion-item">
                        <h2 class="accordion-header d-flex ">
                            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                data-bs-target="#dashboard-collaps" aria-expanded="false" aria-controls="dashboard-collaps">
                                Dashboard
                            </button>
                            <span class="action-items d-flex justify-content-center align-items-center gap-1">
                                <input type="checkbox" name="menus[menu.dashboard]" class="menu_checkbox"
                                    id="dashboard_menu" data-value="dashboard" value="2">
                                <label for="dashboard_menu" class="checkbox_label">Menu</label>
                            </span>
                        </h2>
                        <div id="dashboard-collaps" class="accordion-collapse collapse"
                            data-bs-parent="#accesscontrolmenus">
                            <div class="accordion-body dashboard">
                                <p>Widgets</p>
                                <div class="d-flex">
                                    <div class="mx-2">
                                        <input type="checkbox" name="widgets[dashboard.widgets.estates]" class="mx-1"
                                            id="total-estates" value="2" disabled>
                                        <label for="total-estates">Total Estates</label>
                                    </div>
                                    <div class="mx-2">
                                        <input type="checkbox" name="widgets[dashboard.widgets.residence]" class="mx-1"
                                            id="total-residence" value="2" disabled>
                                        <label for="total-residence">Total Residents</label>
                                    </div>
                                    <div class="mx-2">
                                        <input type="checkbox" name="widgets[dashboard.widgets.cisitors]" class="mx-1"
                                            id="total-cisitors" value="2" disabled>
                                        <label for="total-cisitors">Total Visitors</label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="accordion-item">
                        <h2 class="accordion-header d-flex ">
                            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                data-bs-target="#estate-collaps" aria-expanded="false" aria-controls="estate-collaps">
                                Estates
                            </button>

                            <span class="action-items d-flex justify-content-center align-items-center gap-1">
                                <input type="checkbox" name="menus[menu.estates]" class="menu_checkbox"
                                    id="estates_menu" data-value="estates" value="2">
                                <label for="estates_menu" class="checkbox_label">Menu</label>
                            </span>
                        </h2>
                        <div id="estate-collaps" class="accordion-collapse collapse"
                            data-bs-parent="#accesscontrolmenus">
                            <div class="accordion-body estates">
                                {{-- <div class="d-flex">
                                    <div class="mx-2">
                                        <input type="checkbox" name="modules[estate.list][]" class="mx-1"
                                            id="estates-listing" value="2" disabled>
                                        <label for="estates-listing">Estate list</label>
                                    </div>
                                </div> --}}
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th>Module</th>
                                            <th>Read</th>
                                            <th>Create</th>
                                            <th>Update</th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <th>Estates</th>
                                            <td><input type="checkbox" name="modules[estate][]" id="estate_read"
                                                    value="2" disabled></td>
                                            <td><input type="checkbox" name="modules[estate][]" id="estate_create"
                                                    value="1" disabled></td>
                                            <td><input type="checkbox" name="modules[estate][]" id="estate_update"
                                                    value="3" disabled></td>
                                            <td><input type="checkbox" name="modules[estate][]" id="estate_delete"
                                                    value="4" disabled></td>
                                        </tr>
                                        <tr>
                                            <th>Residents</th>
                                            <td><input type="checkbox" name="modules[estate.residences][]"
                                                    id="estate_residences_read" value="2" disabled></td>
                                            <td><input type="checkbox" name="modules[estate.residences][]"
                                                    id="estate_residences_create" value="1" disabled></td>
                                            <td><input type="checkbox" name="modules[estate.residences][]"
                                                    id="estate_residences_update" value="3" disabled></td>
                                            <td><input type="checkbox" name="modules[estate.residences][]"
                                                    id="estate_residences_delete" value="4" disabled></td>
                                        </tr>
                                        <tr>
                                            <th>Visitors</th>
                                            <td><input type="checkbox" name="modules[estate.visitors][]"
                                                    id="estate_visitors_read" value="2" disabled></td>
                                            <td><input type="checkbox" name="modules[estate.visitors][]"
                                                    id="estate_visitors_create" value="1" disabled></td>
                                            <td><input type="checkbox" name="modules[estate.visitors][]"
                                                    id="estate_visitors_update" value="3" disabled></td>
                                            <td><input type="checkbox" name="modules[estate.visitors][]"
                                                    id="estate_visitors_delete" value="4" disabled></td>
                                        </tr>
                                        <tr>
                                            <th>Staffs</th>
                                            <td><input type="checkbox" name="modules[estate.staffs][]"
                                                    id="estate_staffs_read" value="2" disabled></td>
                                            <td><input type="checkbox" name="modules[estate.staffs][]"
                                                    id="estate_staffs_create" value="1" disabled></td>
                                            <td><input type="checkbox" name="modules[estate.staffs][]"
                                                    id="estate_staffs_update" value="3" disabled></td>
                                            <td><input type="checkbox" name="modules[estate.staffs][]"
                                                    id="estate_staffs_delete" value="4" disabled></td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                    <div class="accordion-item">
                        <h2 class="accordion-header">
                            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                data-bs-target="#residence-collaps" aria-expanded="false"
                                aria-controls="residence-collaps">
                                Residents
                            </button>
                            <span class="action-items d-flex justify-content-center align-items-center gap-1">
                                <input type="checkbox" name="menus[menu.residence]" class="menu_checkbox"
                                    id="residence_menu" data-value="residence" value="2">
                                <label for="residence_menu" class="checkbox_label">Menu</label>
                            </span>
                        </h2>
                        <div id="residence-collaps" class="accordion-collapse collapse"
                            data-bs-parent="#accesscontrolmenus">
                            <div class="accordion-body residence">
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th>Module</th>
                                            <th>Read</th>
                                            <th>Create</th>
                                            <th>Update</th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <th>Residents</th>
                                            <td><input type="checkbox" name="modules[residence][]" id="residence_read"
                                                    value="2" disabled></td>
                                            <td><input type="checkbox" name="modules[residence][]" id="residence_create"
                                                    value="1" disabled></td>
                                            <td><input type="checkbox" name="modules[residence][]" id="residence_update"
                                                    value="3" disabled>
                                            </td>
                                            <td><input type="checkbox" name="modules[residence][]" id="residence_delete"
                                                    value="4" disabled>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="accordion-item">
                        <h2 class="accordion-header">
                            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                data-bs-target="#visitor-collapse" aria-expanded="false"
                                aria-controls="visitor-collapse">
                                Visitors
                            </button>
                            <span class="action-items d-flex justify-content-center align-items-center gap-1">
                                <input type="checkbox" name="menus[menu.visitors]" class="menu_checkbox"
                                    id="visitors_menu" data-value="visitors" value="2">
                                <label for="visitors_menu" class="checkbox_label">Menu</label>
                            </span>
                        </h2>
                        <div id="visitor-collapse" class="accordion-collapse collapse"
                            data-bs-parent="#accesscontrolmenus">
                            <div class="accordion-body visitors">
                                <p>Widgets</p>
                                <div class="d-flex my-2">
                                    <div class="mx-2">
                                        <input type="checkbox" name="widgets[visitors.widgets.visitors_at_premise]"
                                            class="mx-1" id="visitors-at-prime" value="2" disabled>
                                        <label for="visitors-at-prime">Visitors</label>
                                    </div>
                                    <div class="mx-2">
                                        <input type="checkbox" name="widgets[visitors.widgets.over_stayers]"
                                            class="mx-1" id="over-stayers" value="2" disabled>
                                        <label for="over-stayers">Over Stayers</label>
                                    </div>
                                </div>
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th>Module</th>
                                            <th>Read</th>
                                            <th>Create</th>
                                            <th>Update</th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <th>Visitors</th>
                                            <td><input type="checkbox" name="modules[visitors][]" id="visitors_read"
                                                    value="2" disabled></td>
                                            <td><input type="checkbox" name="modules[visitors][]" id="visitors_create"
                                                    value="1" disabled></td>
                                            <td><input type="checkbox" name="modules[visitors][]" id="visitors_update"
                                                    value="3" disabled></td>
                                            </td>
                                            <td><input type="checkbox" name="modules[visitors][]" id="visitors_delete"
                                                    value="4" disabled></td>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="accordion-item">
                        <h2 class="accordion-header">
                            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                data-bs-target="#users-collaps" aria-expanded="false" aria-controls="users-collaps">
                                Users
                            </button>
                            <span class="action-items d-flex justify-content-center align-items-center gap-1">
                                <input type="checkbox" name="menus[menu.users]" class="menu_checkbox" id="users_menu"
                                    data-value="users" value="2">
                                <label for="users_menu" class="checkbox_label">Menu</label>
                            </span>
                        </h2>
                        <div id="users-collaps" class="accordion-collapse collapse" data-bs-parent="#accesscontrolmenus">
                            <div class="accordion-body users">
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th>Module</th>
                                            <th>Read</th>
                                            <th>Create</th>
                                            <th>Update</th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <th>Users</th>
                                            <td><input type="checkbox" name="modules[users][]" id="users_read"
                                                    value="2" disabled></td>
                                            <td><input type="checkbox" name="modules[users][]" id="users_create"
                                                    value="1" disabled></td>
                                            <td><input type="checkbox" name="modules[users][]" id="users_update"
                                                    value="3" disabled>
                                            </td>
                                            <td><input type="checkbox" name="modules[users][]" id="users_delete"
                                                    value="4" disabled>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="accordion-item">
                        <h2 class="accordion-header">
                            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                data-bs-target="#reports-collaps" aria-expanded="false" aria-controls="reports-collaps">
                                Reports
                            </button>
                            <span class="action-items d-flex justify-content-center align-items-center gap-1">
                                <input type="checkbox" name="menus[menu.reports]" class="menu_checkbox"
                                    id="reports_menu" data-value="reports" value="2">
                                <label for="reports_menu" class="checkbox_label">Menu</label>
                            </span>
                        </h2>
                        <div id="reports-collaps" class="accordion-collapse collapse"
                            data-bs-parent="#accesscontrolmenus">
                            <div class="accordion-body reports">

                            </div>
                        </div>
                    </div>
                    <div class="accordion-item">
                        <h2 class="accordion-header">
                            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                data-bs-target="#settings-collaps" aria-expanded="false"
                                aria-controls="settings-collaps">
                                Settings
                            </button>
                            <span class="action-items d-flex justify-content-center align-items-center gap-1">
                                <input type="checkbox" name="menus[menu.settings]" class="menu_checkbox"
                                    id="settings_menu" data-value="settings" value="2">
                                <label for="settings_menu" class="checkbox_label">Menu</label>
                            </span>
                        </h2>
                        <div id="settings-collaps" class="accordion-collapse collapse"
                            data-bs-parent="#accesscontrolmenus">
                            <div class="accordion-body settings">
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th>Module</th>
                                            <th>Read</th>
                                            <th>Create</th>
                                            <th>Update</th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <th>Access Control</th>
                                            <td><input type="checkbox" name="modules[access-control][]"
                                                    id="access-control-read" value="2" disabled></td>
                                            <td><input type="checkbox" name="modules[access-control][]"
                                                    id="access-control-create" value="1" disabled></td>
                                            <td><input type="checkbox" name="modules[access-control][]"
                                                    id="access-control-update" value="3" disabled>
                                            </td>
                                            <td><input type="checkbox" name="modules[access-control][]"
                                                    id="access-control-delete" value="4" disabled>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex justify-content-end">
                    <a href="{{ route('settings.access-control') }}" class="btn form-cancel-btn mx-3">Cancel</a>
                    <button type="submit" class="btn form-submit-btn">Save</button>
                </div>
            </form>
        </div>
    </div>


    @push('scripts')
        <!-- Add Splide Script-->
        <script>
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': `{{ csrf_token() }}`
                }
            });
        </script>

        <script src="{{ asset('js/add-role-page.js') }}"></script>
    @endPush
@endsection
