@extends('layout.master')
@section('content')
    @php
        $userType = \App\Helpers\Helpers::getUserRole()->type_id ?? [];
    @endphp

    <div class="page-heading-block py-4">
        @if (!empty($menu) && $menu == 'estates')
            <nav style="--bs-breadcrumb-divider: '>';" aria-label="breadcrumb">
                <ol class="breadcrumb">
                    @if ($userType != 3 && $userType != 4)
                        <li class="breadcrumb-item"><a href="{{ route('estates.get') }}">Estates</a></li>
                    @endif
                    <li class="breadcrumb-item">
                        <a href="{{ route('estates.view', ['id' => $user_details->estate_id]) }}">
                            {{ $user_details->estate_name ?? '' }}
                        </a>
                    </li>
                    <li class="breadcrumb-item"><a
                            href="{{ route('estates.view', ['id' => $user_details->estate_id, 'tab' => 5]) }}">Staffs</a>
                    </li>
                    {{-- <li class="breadcrumb-item active" aria-current="page">{{ $resident->full_name ?? '' }}</li> --}}
                    <li class="breadcrumb-item active" aria-current="page">Edit</li>
                </ol>
            </nav>
        @else
            <nav style="--bs-breadcrumb-divider: '>';" aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{ route('users.get') }}">Users</a></li>
                    <li class="breadcrumb-item active" aria-current="page">Edit</li>
                </ol>
            </nav>
        @endif
        {{-- <div class="page-title-block d-flex align-items-center justify-content-between">
            <div class="d-flex align-items-center justify-content-between">
                <a href="{{ !empty($menu) && $menu == 'estates' ? route('estates.view', ['id' => $user_details->estate_id, 'tab' => 5]) : route('users.get') }}"
                    class="back-btn">
                    &#x276e; &nbsp;BACK
                </a>

                <h4 class="mx-5 mb-0 font-weight-bold">Edit User</h4>
            </div>
        </div> --}}
    </div>

    <div class="page-main-content">
        <div class="add-estate-form-block p-5 rounded">
            <form action="{{ route('users.update', ['id' => $user_details->user_id]) }}" method="POST" class="row"
                id="add-user-form" enctype="multipart/form-data">
                {{ csrf_field() }}
                <input type="hidden" name="menu" value="{{ $menu ?? '' }}">
                <div class="mb-3 col-4">
                    <label for="name" class="form-label">Name *</label>
                    <input type="text"
                        class="form-control rounded required {{ $errors->has('name') ? 'border-required' : '' }}"
                        name="name" id="name" value="{{ !empty(old('name')) ? old('name') : $user_details->name }}">
                    @if ($errors->has('name'))
                        <div class="text-danger required-label">{{ $errors->first('name') }}</div>
                    @endif
                </div>
                <input type="hidden" name="user_id" id="user_id" value="{{ $user_details->user_id }}">
                <div class="mb-3 col-4">
                    <label for="email" class="form-label">Email</label>
                    <input type="text"
                        class="form-control rounded required {{ $errors->has('email') ? 'border-required' : '' }}"
                        name="email" id="email"
                        value="{{ !empty(old('email')) ? old('email') : $user_details->email ?? '' }}">
                    @if ($errors->has('email'))
                        <div class="text-danger required-label">{{ $errors->first('email') }}</div>
                    @endif
                </div>
                <div class="mb-3 col-4 hide">
                    <label for="user_name" class="form-label">User Name *</label>
                    <input type="text"
                        class="form-control rounded required {{ $errors->has('user_name') ? 'border-required' : '' }}"
                        name="user_name" id="user_name"
                        value="{{ !empty(old('user_name')) ? old('user_name') : $user_details->user_name ?? '' }}" readonly
                        style="background: #e9ecef;">
                    @if ($errors->has('user_name'))
                        <div class="text-danger required-label">{{ $errors->first('user_name') }}</div>
                    @endif
                </div>
                <div class="mb-3 col-4">
                    <label for="contact-number" class="form-label">Contact Number</label>
                    <div class="input-group">

                        <select name="country_code" id="country_code" class="form-select-sm rounded-start border-0"
                            style="width: 105px; outline:none; -webkit-appearance: none;
                            -moz-appearance: none;"
                            disabled>
                            @if (!empty($country_codes))
                                @foreach ($country_codes ?? [] as $country_code)
                                    <option value="{{ $country_code->code }}"
                                        {{ $country_code->shortName == 'SG' ? 'selected' : '' }}>
                                        {{ $country_code->shortName }}({{ $country_code->code }})
                                    </option>
                                @endforeach
                            @endif
                        </select>
                        <input type="text" class="form-control rounded-end" name="contact_number" id="contact-number"
                            value="{{ !empty(old('contact_number')) ? old('contact_number') : $user_details->contact_number ?? '' }}">
                    </div>
                    @if ($errors->has('contact_number'))
                        <p class="user_data text-danger my-2">{{ $errors->first('contact_number') }}</p>
                    @endif
                </div>

                {{-- <div class="mb-3 col-4">
                    <label for="unit-no" class="form-label">User Role *</label>
                    <select name="user_role" id=""
                        class="form-control form-select user-type-select rounded required">
                        @foreach ($user_roles ?? [] as $user_role)
                            <option value="{{ $user_role->value }}" data-type="{{ $user_role->type_id }}"
                                {{ $user_details->role_id == $user_role->value ? 'selected' : '' }}>
                                {{ $user_role->label }}
                            </option>
                        @endforeach
                    </select>
                </div> --}}

                <div class="mb-3 col-4">
                    <label for="unit-no" class="form-label">User Role *</label>
                    <select name="user_role" id=""
                        class="form-control form-select user-type-select rounded required">
                        <option value="estate_manager" data-type="3"
                            {{ (!empty($user_details->type_id) && $user_details->type_id == '3') || (!empty(old('user_role')) && 'estate_manager' == old('user_role')) ? 'selected' : '' }}>
                            Estate Manager
                        </option>
                        <option value="security_guard" data-type="4"
                            {{ (!empty($user_details->type_id) && $user_details->type_id == '4') || (!empty(old('user_role')) && 'security_guard' == old('user_role')) ? 'selected' : '' }}>
                            Security Guard
                        </option>
                        <optgroup label="Staffs">
                            @foreach ($user_roles ?? [] as $user_role)
                                <option value="{{ $user_role->value }}" data-type="{{ $user_role->type_id }}"
                                    {{ (!empty($user_details->role_id) && $user_details->role_id == $user_role->value) || (!empty(old('user_role')) && $user_role->value == old('user_role')) ? 'selected' : '' }}>
                                    {{ $user_role->label }}
                                </option>
                            @endforeach
                        </optgroup>
                    </select>
                </div>

                <div class="mb-3 col-4 user_type_block hide">
                    <label for="unit-no" class="form-label">Estate</label>
                    <select name="estate_id" id="" class="form-control form-select group-select rounded">
                        @foreach ($estates ?? [] as $estate)
                            <option value="{{ $estate->value }}"
                                {{ $user_details->estate_id == $estate->value ? 'selected' : '' }}>
                                {{ $estate->label }}
                            </option>
                        @endforeach
                    </select>
                </div>

                <div class="mb-3 d-grid">
                    <label class="form-label">Profile Image (PNG, JPEG)</label>
                    <input type="file" class="attachment-input" name="attachment" id="attachment"
                        accept="image/png, image/jpeg" />
                    <label for="attachment" class="attachment-label">
                        <div id="img-preview" class=" d-grid">
                            <img src="{{ !empty($user_details->public_url) ? $user_details->public_url : asset('assets/images/add-attachment-icon.svg') }}"
                                alt="" width="100" height="100">
                            <button type="button"
                                class="btn btn-danger btn-sm remove_image mt-1 {{ empty($user_details->public_url) ? 'hide' : '' }}"
                                data-image_id="{{ $user_details->profile_image_id ?? '' }}">Remove</button>
                        </div>
                    </label>
                </div>
                <div class="d-flex justify-content-end ">
                    <a href="{{ !empty($menu) && $menu == 'estates' ? route('estates.view', ['id' => $user_details->estate_id, 'tab' => 5]) : route('users.get') }}"
                        class="btn form-cancel-btn mx-3">Cancel</a>
                    <button type="submit" class="btn form-submit-btn">Update</button>
                </div>
            </form>
        </div>
    </div>

    @push('scripts')
        <script>
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': `{{ csrf_token() }}`
                }
            });
        </script>

        <script src="{{ asset('js/edit-users-page.js') }}"></script>
    @endPush
@endsection
