<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Car Granty System</title>
    {{-- google fonts --}}
    <link rel="stylesheet" href="{{ asset('css/fonts.css') }}">
    <!--bootstarp -->
    <link href="{{ asset('css/bootstrap.min.css') }}" rel='stylesheet'>
    <!-- Toast CSS -->
    <link href="{{ asset('css/toast.css') }}" rel='stylesheet'>
</head>

<body>
    <section class="vh-100">
        @include('components.toast-message')
        <div class="container-fluid h-custom">
            <div class="row d-flex justify-content-center align-items-center h-100">
                <div class="col-md-7 col-lg-7 col-xl-7 p-0">
                    <img src="{{ asset('assets/images/login-banner.png') }}" class="img-fluid w-100 vh-100"
                        alt="Sample image">
                </div>
                <div class="col-md-5 col-lg-5 col-xl-5 d-flex justify-content-center align-items-center">
                    <form action="{{ route('login.verify-otp') }}" method="POST" class="" id="otp-form">
                        {{ csrf_field() }}
                        <h3 class="heading text-center py-2 m-0">LPR Parking <br> Management System</h3>
                        <h5 class="sub-heading text-center py-0 ">TWO-FACTOR AUTHENTICATION </h5>
                        <p class="text-center">A verification code has been sent to your registered mobile. This code
                            will be valid
                            for 15 minutes.</p>
                        <input type="hidden" name="user_id" id="user_id" value="{{ $user_id }}">
                        <div class="row gy-3 gy-md-4 overflow-hidden">
                            <div class="p-0">
                                <label for="otp" class="form-label d-flex justify-content-center">Enter OTP</label>
                                <div class="d-flex justify-content-center">
                                    <div id="otpDivOuter">
                                        <div id="otpDivInner">
                                            <input id="partitioned-otp" class="otp" type="text" name="otp"
                                                maxlength="4" autocomplete="off"
                                                value="{{ old('otp') ?? '' }}" />

                                                {{-- <input id="partitioned-otp" class="otp" type="text" name="otp"
                                                maxlength="4" autocomplete="off"
                                                value="{{ old('otp') ?? $verify_otp }}" /> --}}
                                        </div>
                                    </div>
                                </div>

                                {{-- <input type="text"
                                    class="form-control {{ !empty($errors->has('otp')) ? 'border-required' : '' }}"
                                    name="otp" id="otp" placeholder="Enter OTP"
                                    value="{{ old('otp') ?? '' }}" maxlength="4"> --}}
                                @if ($errors->has('otp'))
                                    <p class="otp text-danger my-2 text-center">{{ $errors->first('otp') }}</p>
                                @endif
                            </div>
                            <div class="p-0">
                                <div class="d-grid">
                                    <button class="btn bsb-btn-sm login-btn" type="submit">VERIFY</button>
                                </div>
                            </div>
                        </div>

                        {{-- Countdown timer section --}}
                        <div id="countdown-section" class="text-center my-2" style="display: none;">
                            <p id="countdown-text">Resend OTP in <span id="countdown"></span></p>
                        </div>
                        {{-- Resend OTP link --}}
                        <div class="text-center my-2">
                            <p id="resend-otp-message">Didn’t receive OTP? <a href="javascript:void(0)"
                                    class="re-send-link">Resend OTP</a></p>
                        </div>

                        {{-- <div class="text-center my-2">
                            <p>Didn’t receive OTP? <a href="javascript:void(0)" class="re-send-link">Resend OTP</a></p>
                        </div> --}}
                    </form>
                </div>
            </div>
        </div>
    </section>

    <style>
        .input_icon {
            position: absolute;
            display: inline-block;
            z-index: 5;
            right: 10px;
            top: 50%;
            transform: translateY(-50%);
            font-size: 1rem;
        }

        .heading {
            color: #0D2E89;
            font-weight: bolder;
            font-family: Poppins, sans-serif;
        }

        #otp-form {
            width: 65%;
        }

        #otp-form label {
            font-size: 20px;
        }

        #otp-form #user_data,
        #otp-form #password {
            padding: 11px;
        }

        .sub-heading {
            color: #000000;
            font-weight: bold;
        }

        .login-btn {
            background: #0D2E89;
            color: #fff;
            border-radius: 4px;
            padding: 11px;
        }

        .login-btn:hover {
            background: #041a57;
            color: #fff;
        }

        .border-required {
            border-color: #dc3b79 !important;
        }

        #otp {
            font-size: 20px !important;
            color: #444;
            font-weight: 700;
            text-align: center;
            padding: 10px;
        }

        #partitioned-otp {
            padding-left: 15px;
            letter-spacing: 40px;
            border: 0;
            background-image: linear-gradient(to left, black 70%, rgba(255, 255, 255, 0) 0%);
            background-position: bottom;
            background-size: 50px 1px;
            background-repeat: repeat-x;
            background-position-x: 35px;
            width: 220px;
            min-width: 220px;
            outline: none;
        }

        #otpDivInner {
            left: 0;
            position: sticky;
        }

        #otpDivOuter {
            width: 190px;
            overflow: hidden;
        }

        .re-send-link {
            color: #041a57;
            font-weight: bold;
        }
    </style>
    <!-- JQuery -->
    <script type="text/javascript" src="{{ asset('assets/plugins/jquery/jquery.min.js') }}"></script>

    <!-- Sweet Alert -->
    <script type="text/javascript" src="{{ asset('assets/plugins/sweet-alert/sweetalert2.js') }}"></script>

    <script>
        setTimeout(() => {
            $('.toast').remove();
        }, 5000);

        $(document).ready(function() {

            $('#countdown-section').hide();
            $('#resend-otp-message').hide();

            // re-setting the timer while request form login page
            @if (session('set_otp_timer'))
                setOtpTimer();
            @endif


            let storedEndTime = localStorage.getItem('otp_countdown_end_time');
            if (storedEndTime) {
                storedEndTime = parseInt(storedEndTime, 10);
                let now = new Date().getTime();
                let remainingTime = storedEndTime - now;

                if (remainingTime > 0) {
                    startCountdown(remainingTime / 1000);
                } else {
                    localStorage.removeItem('otp_countdown_end_time');
                    $('#countdown-section').hide();
                    $('#resend-otp-message').show();
                }
            } else {
                $('#resend-otp-message').show();
            }

            function startCountdown(durationInSeconds) {
                let endTime = new Date().getTime() + (durationInSeconds * 1000);

                let countdownInterval = setInterval(function() {
                    let now = new Date().getTime();
                    let distance = endTime - now;

                    let minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
                    let seconds = Math.floor((distance % (1000 * 60)) / 1000);

                    $('#countdown').text(minutes.toString().padStart(2, '0') + ':' + seconds.toString()
                        .padStart(2, '0')+' minutes');

                    if (distance < 0) {
                        clearInterval(countdownInterval);
                        $('#countdown-section').hide();
                        $('#resend-otp-message').show();
                    } else {
                        $('#countdown-section').show();
                        $('#resend-otp-message').hide();
                    }
                }, 1000);
            }

            $(document).on('click', '.re-send-link', function() {
                let user_id = $('#user_id').val();

                if (!user_id) {
                    Swal.fire({
                        text: "Something went wrong unable new request otp!",
                        icon: "warning",
                    });
                }

                $.ajax({
                    url: '/resend-otp',
                    method: 'get',
                    data: {
                        user_id: user_id
                    },
                    success: function(result) {
                        console.log(result);

                        if (!result.success) {
                            Swal.fire({
                                text: result.message,
                                icon: "warning",
                            });
                        } else if (result.data) {
                            $('.otp').val(result.data.otp);

                            setOtpTimer();

                            // TODO: need to remove in future
                            let urlParams = new URLSearchParams(window.location.search);
                            urlParams.set('verify_otp', result.data.otp);
                            window.location.search = urlParams.toString();


                        }
                    },
                    error: function(xhr, status, error) {

                    }
                });
            });


            function setOtpTimer() {
                let durationInSeconds = 5 * 60; // 5 minutes
                let newEndTime = new Date().getTime() + (durationInSeconds * 1000);
                localStorage.setItem('otp_countdown_end_time', newEndTime);

                startCountdown(durationInSeconds);
            }
        });
    </script>
</body>

</html>
