@extends('layout.master')
@section('content')
    @php
        $userType = \App\Helpers\Helpers::getUserRole()->type_id ?? [];
    @endphp
    <div class="page-heading-block py-4">
        @if (!empty($menu) && $menu == 'estates')
            <nav style="--bs-breadcrumb-divider: '>';" aria-label="breadcrumb">
                <ol class="breadcrumb">
                    @if ($userType != 3 && $userType != 4)
                        <li class="breadcrumb-item"><a href="{{ route('estates.get') }}">Estates</a></li>
                    @endif
                    <li class="breadcrumb-item">
                        <a href="{{ route('estates.view', ['id' => $visitor->estate_id]) }}">
                            {{ $visitor->estate_name ?? '' }}
                        </a>
                    </li>
                    <li class="breadcrumb-item"><a
                            href="{{ route('estates.view', ['id' => $visitor->estate_id, 'tab' => 4]) }}">Visitors</a>
                    </li>
                    {{-- <li class="breadcrumb-item active" aria-current="page">{{ $resident->full_name ?? '' }}</li> --}}
                    <li class="breadcrumb-item active" aria-current="page">Edit</li>
                </ol>
            </nav>
        @else
            <nav style="--bs-breadcrumb-divider: '>';" aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{ route('visitors.get') }}">Visitors</a></li>
                    <li class="breadcrumb-item active" aria-current="page">Edit</li>
                </ol>
            </nav>
        @endif
        {{-- <div class="page-title-block d-flex align-items-center justify-content-between">
            <div class="d-flex align-items-center justify-content-between">
                <a href="{{ !empty($menu) && $menu == 'estates' ? route('estates.view', ['id' => $visitor->estate_id, 'tab' => 4]) : route('visitors.get') }}" class="back-btn">
                    &#x276e; &nbsp;Back
                </a>

                <h4 class="mx-5 mb-0 font-weight-bold">Edit Visitor</h4>
            </div>
        </div> --}}
    </div>

    <div class="page-main-content">
        <div class="add-visitor-form-block p-5 rounded">
            <form action="{{ route('visitors.update', ['id' => $visitor->id]) }}" method="POST" class="row"
                id="edit-visitor-form" enctype="multipart/form-data">
                {{ csrf_field() }}
                <input type="hidden" name="menu" value="{{ $menu ?? '' }}">
                <input type="hidden" name="vehicle_id" value="{{ $visitor->vehicle_id }}">
                <input type="hidden" id="visitor_id" value="{{ $visitor->id }}">

                <div class="row">
                    <div class="mb-3 col-4">
                        <label for="vehicle-model" class="form-label">Vehicle Make / Model *</label>
                        <input type="text" class="form-control rounded required" name="vehicle_model" id="vehicle-model"
                            value="{{ !empty(old('vehicle_model')) ? old('vehicle_model') : $visitor->model ?? '' }}"
                            maxlength="30">
                    </div>

                    <div class="mb-3 col-4">
                        <label for="vehicle-license" class="form-label">Vehicle License *</label>
                        <input type="text" class="form-control rounded required" name="vehicle_license"
                            id="vehicle-license"
                            value="{{ !empty(old('vehicle_license')) ? old('vehicle_license') : $visitor->licence ?? '' }}"
                            maxlength="20">
                    </div>

                    <div class="mb-3 col-4">
                        <label for="vehicle-iu" class="form-label">Vehicle IU</label>
                        <input type="text" class="form-control rounded" name="vehicle_iu" id="vehicle-iu"
                            value="{{ !empty(old('vehicle_iu')) ? old('vehicle_iu') : $visitor->iu ?? '' }}"
                            maxlength="20">
                    </div>
                </div>

                <div class="row">
                    <div class="mb-3 col-4">
                        <label for="visitor-name" class="form-label">Visitor Name *</label>
                        <input type="text" class="form-control rounded required" name="visitor_name" id="visitor-name"
                            value="{{ !empty(old('visitor_name')) ? old('visitor_name') : $visitor->full_name ?? '' }}">
                    </div>
                    <div class="mb-3 col-4">
                        <label for="mobile-number" class="form-label">Visitor Mobile Number *</label>
                        <input type="text" class="form-control rounded required mobile_number" name="mobile_number" id="mobile-number"
                            value="{{ !empty(old('mobile_number')) ? old('mobile_number') : $visitor->contact_number ?? '' }}">
                    </div>
                </div>

                <div class="row">
                    <div
                        class="mb-3 col-4 {{ !empty($menu) && $menu == 'estates' ? 'hide' : '' }} {{ $userType != 1 && $userType != 2 ? 'hide' : '' }}">
                        <label for="estate" class="form-label">Estate *</label>
                        <select name="estate" id=""
                            class="form-control form-select estate-select rounded required">
                            @foreach ($estate_list ?? [] as $estate)
                                <option value="{{ $estate->value }}"
                                    {{ !empty($visitor->estate_id) && $estate->value == $visitor->estate_id ? 'selected' : '' }}>
                                    {{ $estate->label }}
                                </option>
                            @endforeach
                        </select>
                    </div>

                    <div class="mb-3 col-4">
                        <label for="bik_no" class="form-label">Blk No. *</label>
                        <input type="hidden" id="selected_block_id" value="{{ $visitor->block_id }}">
                        {{-- <input type="number" class="form-control rounded required bg-light" name="bik_no" id="bik-no"
                            value="{{ !empty(old('bik_no')) ? old('bik_no') : $visitor->block_number ?? '' }}" readonly> --}}
                        <select name="bik_no" id="bik_no" class="form-control form-select rounded required">
                            <option value="">Select Blk No</option>
                        </select>
                    </div>

                    <div class="mb-3 col-4">
                        <label for="unit_no" class="form-label">Unit No. *</label>
                        {{-- <input type="text" class="form-control rounded required" name="unit_no" id="unit-no"
                            value="{{ !empty(old('unit_no')) ? old('unit_no') : $visitor->unit_number ?? '' }}"
                            maxlength="20"> --}}
                        <input type="hidden" id="selected_unit_id" value="{{ $visitor->unit_id }}">
                        <select name="unit_no" id="unit_no" class="form-control form-select rounded required">
                            <option value="">Select Unit No</option>
                        </select>
                    </div>
                </div>


                {{-- <div class="mb-3 col-6">
                    <label for="resident-name" class="form-label">Resident *</label>
                    <select name="resident" id=""
                        class="form-control resident-select form-select rounded required">
                        @foreach ($residents_list ?? [] as $resident)
                            <option value="{{ $resident->value }}"
                                {{ !empty($visitor->resident_id) && $resident->value == $visitor->resident_id ? 'selected' : '' }}>
                                {{ $resident->label }}
                            </option>
                        @endforeach
                    </select>
                </div> --}}

                <div class="row">
                    <div class="mb-3 col-4">
                        <label for="resident-name" class="form-label">Resident *</label>
                        <input type="text" name="resident_name" id="resident-name"
                            class="form-control required bg-light"
                            value="{{ !empty(old('resident_name')) ? old('resident_name') : $visitor->resident_name ?? '' }}"
                            readonly>
                        <input type="hidden" name="resident_id" id="resident-id"
                            value="{{ !empty(old('resident_id')) ? old('resident_id') : $visitor->resident_id }}">
                    </div>

                    <div class="mb-3 col-4">
                        <label for="resident-contact-no" class="form-label">Resident Contact No.</label>
                        <input type="text" class="form-control rounded bg-light" name="resident_contact_noo"
                            id="resident-contact-no"
                            value="{{ !empty(old('resident_contact_noo')) ? old('resident_contact_noo') : $visitor->resident_contact_number ?? '' }}"
                            readonly>
                    </div>

                    <div class="mb-3 col-4">
                        <label for="rfid" class="form-label">RFID</label>
                        <input type="text" class="form-control rounded" name="rfid" id="rfid"
                            value="{{ !empty(old('rfid')) ? old('rfid') : $visitor->rfid ?? '' }}" maxlength="20">
                    </div>

                    <div class="mb-3 col-4 responsive-date-time {{ $userType == 4 ? 'hide' : '' }}">
                        <label for="validity-date" class="form-label">Validity Date *</label>
                        <div class="d-flex justify-content-between date-time-block">
                            <input type="text" class="form-control rounded date-time required" name="validity_date"
                                id="validity-date">
                            <img src="{{ asset('assets/images/icons/calendar-dots_outline.svg') }}" alt=""
                                srcset="">
                        </div>
                    </div>
                </div>

                {{-- <div class="mb-3 col-3">
                    <label for="validity-date" class="form-label">Validity Date *</label>
                    <input type="text" class="form-control rounded date-time required" name="validity_date"
                        id="validity-date">
                </div> --}}

                <input type="hidden" id="form_date" value="{{ $visitor->valid_from ?? '' }}">
                <input type="hidden" id="to_date" value="{{ $visitor->valid_to ?? '' }}">

                <div class="mb-3 col-12">
                    <label for="purpose" class="form-label">Purpose</label>
                    {{-- <input type="text" class="form-control rounded" name="purpose"
                        id="purpose"value="{{ $visitor->purpose ?? '' }}"> --}}

                    <textarea name="purpose" id="purpose" class="form-control rounded" cols="0" rows="2">{{ !empty(old('purpose')) ? old('purpose') : $visitor->purpose ?? '' }}</textarea>
                </div>

                {{-- <div class="mb-3 col-12">
                    <label for="remarks" class="form-label">Remarks</label>
                    <textarea name="remarks" id="remarks" class="form-control rounded" cols="0" rows="2">{{ $visitor->remarks ?? '' }}</textarea>
                </div> --}}

                <div class="mb-3 d-grid ">
                    <label class="form-label">Attach (PNG, JPEG)</label>
                    <input type="file" class="attachment-input" name="attachment" id="attachment"
                        accept="image/png, image/jpeg" />
                    <label for="attachment" class="attachment-label">
                        <div id="img-preview" class=" d-grid">
                            <img src="{{ !empty($visitor->public_url) ? $visitor->public_url : asset('assets/images/add-attachment-icon.svg') }}"
                                alt="" width="100" height="100">
                            <button type="button"
                                class="btn btn-danger btn-sm remove_image mt-1 {{ empty($visitor->public_url) ? 'hide' : '' }}"
                                data-image_id="{{ $visitor->profile_image_id ?? '' }}">Remove</button>
                        </div>
                    </label>
                </div>
                <div class="d-flex justify-content-end ">
                    <a href="{{ !empty($menu) && $menu == 'estates' ? route('estates.view', ['id' => $visitor->estate_id, 'tab' => 4]) : route('visitors.get') }}"
                        class="btn form-cancel-btn mx-3">Cancel</a>
                    <button type="submit" class="btn form-submit-btn">Update</button>
                </div>
            </form>
        </div>
    </div>
    @push('scripts')
        <!-- Add Splide Script-->
        <script>
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': `{{ csrf_token() }}`
                }
            });
        </script>

        <script src="{{ asset('js/edit-visitor-page.js') }}"></script>
    @endPush
@endsection
