@extends('layout.master')
@section('content')
    @php
        $userType = \App\Helpers\Helpers::getUserRole()->type_id ?? [];
        $userAccess = \App\Helpers\Helpers::getUserAccess() ?? [];
        $access = $userAccess['accesses'] ?? [];
    @endphp
    @if (!empty($visitors_list))
        <div class="page-heading-block py-4">
            <div class="page-title-block d-flex align-items-center justify-content-between">
                {{-- <div class="d-flex align-items-center justify-content-between">
                    <h4 class="mx-2 mb-0 font-weight-bold">Visitors</h4>
                </div> --}}

                <nav style="--bs-breadcrumb-divider: '>';" aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ route('visitors.get') }}">Visitors</a></li>
                        <li class="breadcrumb-item active" aria-current="page">List</li>
                    </ol>
                </nav>

                <div class="d-flex">
                    {{-- <a href="{{ route('residents.add') }}" class="btn add-btn mx-3" id="add_residence_btn">+ Add Residence</a> --}}
                    {{-- <a href="{{ route('visitors.add') }}"class="btn add-btn mx-3 {{ !empty($userType) ? ($userType == 1 || ($userType == 2 && (!empty($access['visitors']) && in_array(1, $access['visitors']))) ? '' : 'hide') : 'hide' }}"
                        id="add_visitor_btn">+ Add Visitor</a> --}}
                    <a href="{{ route('visitors.add') }}"class="btn add-btn mx-3 {{ !empty($userType) ? ($userType == 2 && (empty($access['visitors']) || !in_array(1, $access['visitors'])) ? 'hide' : '') : 'hide' }}"
                        id="add_visitor_btn">+ Add Visitor</a>
                    {{-- <button class="btn more-btn mx-3 d-flex justify-content-center align-items-center" id="">More
                        &nbsp;
                        <svg xmlns="http://www.w3.org/2000/svg" width="10.86" height="5.72" viewBox="0 0 10.86 5.72">
                            <g id="arrow-down" transform="translate(-6.593 -15.569)">
                                <path id="Path_299" data-name="Path 299"
                                    d="M16.7,15.7l-4.677,4.559L7.346,15.7a.447.447,0,0,0-.625,0,.426.426,0,0,0,0,.608L11.7,21.156a.468.468,0,0,0,.653,0l4.975-4.85a.426.426,0,0,0,0-.61.447.447,0,0,0-.625,0Z"
                                    transform="translate(0 0)" fill="#6A7594" />
                            </g>
                        </svg>
                    </button> --}}
                </div>
            </div>
        </div>

        <div>
            <div class="count-badges-section d-flex mt-0 my-4 gap-sm-1 gap-md-2 gap-lg-3 gap-xl-4 w-100 ">
                <a href="{{ route('visitors.get') }}"
                    class="count-badge p-4 d-flex align-items-center justify-content-between text-decoration-none {{ !empty($userType)
                        ? ($userType == 1 ||
                        ($userType == 2 &&
                            (!empty($access['visitors.widgets.visitors_at_premise']) &&
                                in_array(2, $access['visitors.widgets.visitors_at_premise'])))
                            ? ''
                            : 'hide')
                        : 'hide' }}"
                    style="cursor: pointer;">
                    <span class="badge-text-primary w-50">Total Visitors on Record</span>
                    <span class="badge-count-primary rounded-circle text-center"
                        style="padding: 20px 27px; min-width:83px">{{ $all_visitors_count ?? 0 }}</span>
                </a>
                <a href="{{ route('visitors.get', ['over_stayers' => 1]) }}"
                    class="count-badge p-4 d-flex align-items-center justify-content-between text-decoration-none {{ !empty($userType)
                        ? ($userType == 1 ||
                        ($userType == 2 &&
                            (!empty($access['visitors.widgets.over_stayers']) && in_array(2, $access['visitors.widgets.over_stayers'])))
                            ? ''
                            : 'hide')
                        : 'hide' }}"
                    style="cursor: pointer;">
                    <span class="badge-text-secondary w-50">Over Stayers on Record</span>
                    <span class="badge-count-secondary rounded-circle text-center"
                        style="padding: 20px 27px; min-width:83px">{{ $over_stayers_count ?? 0 }}</span>
                </a>
            </div>
            <div class="visitors-details-block rounded p-1 my-4">
                {{-- @php
                    $view = !empty($userType)
                        ? ($userType == 1 ||
                        ($userType == 2 && (!empty($access['visitors']) && in_array(2, $access['visitors'])))
                            ? ''
                            : 'hide')
                        : 'hide';
                    $edit = !empty($userType)
                        ? ($userType == 1 ||
                        ($userType == 2 && (!empty($access['visitors']) && in_array(3, $access['visitors'])))
                            ? ''
                            : 'hide')
                        : 'hide';
                    $delete = !empty($userType)
                        ? ($userType == 1 ||
                        ($userType == 2 && (!empty($access['visitors']) && in_array(4, $access['visitors'])))
                            ? ''
                            : 'hide')
                        : 'hide';
                @endphp --}}

                @php
                    $view = !empty($userType)
                        ? ($userType == 2 && (empty($access['visitors']) || !in_array(2, $access['visitors']))
                            ? 'hide'
                            : '')
                        : 'hide';
                    $edit = !empty($userType)
                        ? ($userType == 2 && (empty($access['visitors']) || !in_array(3, $access['visitors']))
                            ? 'hide'
                            : '')
                        : 'hide';
                    $delete = !empty($userType)
                        ? ($userType == 2 && (empty($access['visitors']) || !in_array(4, $access['visitors']))
                            ? 'hide'
                            : '')
                        : 'hide';
                @endphp
                @include('visitors.table')
            </div>
        </div>
    @else
        <div class=" d-flex justify-content-center align-items-center pt-5">
            <p>No records found</p>
        </div>
    @endif

    {{-- filter model for visitor --}}
    <div class="modal fade" id="visitorfilter" tabindex="-1" aria-labelledby="visitorfilterLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="visitorfilterLabel">Filter visitors</h5>
                    {{-- <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button> --}}
                </div>
                <div class="modal-body">

                    <label for="filter_estate_id" class="form-label">Estate</label>
                    <select name="filter_estate_id" id="filter_estate_id" class="form-control form-select rounded" {{ $userType == 3 || $userType == 4 ? 'disabled' : '' }}>
                        <option value="">Select Estate</option>
                        @if (!empty($estate_name_list) && count($estate_name_list) > 0)
                            @foreach ($estate_name_list as $estate)
                                <option value="{{ $estate->value }}"
                                    {{ !empty($filter_estate_id) && $estate->value == $filter_estate_id ? 'selected' : ($userType == 3 || $userType == 4 ? (!empty($user_estate_id) && $user_estate_id == $estate->value ? 'selected' : '') : '') }}>
                                    {{ $estate->label }}</option>
                            @endforeach
                        @endif
                    </select>

                    <p class="text-danger required-label mb-1 hide">Please select estate</p>

                    <label for="filter_visitor_resident" class="form-label">Resident Name</label>
                    <select name="filter_visitor_resident" id="filter_visitor_resident"
                        class="form-control form-select rounded">
                        <option value="">Select Resident</option>

                    </select>


                    <label for="filter_visitor_license" class="form-label mt-2">Vehicle License</label>
                    <select name="filter_visitor_license" id="filter_visitor_license"
                        class="form-control form-select rounded">
                        <option value="">Select License</option>

                    </select>

                    <label for="filter_visitor_model" class="form-label mt-2">Vehicle Make/Model</label>
                    <select name="filter_visitor_model" id="filter_visitor_model" class="form-control form-select rounded">
                        <option value="">Select Make/Model</option>

                    </select>

                    <label for="filter-entry-date" class="form-label mt-2">Entry date</label>
                    <input type="date" name="filter-entry-date" id="filter-entry-date" class="form-control"
                        value="{{ $filtered_entry_date ?? '' }}">


                    <label for="filter-exit-date" class="form-label mt-2">Exit date</label>
                    <input type="date" name="filter-exit-date" id="filter-exit-date" class="form-control"
                        value="{{ $filtered_exit_date ?? '' }}">

                    <div class="w-100 d-flex gap-2 mt-2">

                        <div class="w-50">
                            <label for="filter_visitor_blk_no" class="form-label">Blk No.</label>
                            <select name="filter_visitor_blk_no" id="filter_visitor_blk_no"
                                class="form-control form-select rounded">
                                <option value="">Select Blk No</option>

                            </select>
                        </div>

                        <div class="w-50">
                            <label for="filter_visitor_unit_no" class="form-label">Unit No.</label>
                            <select name="filter_visitor_unit_no" id="filter_visitor_unit_no"
                                class="form-control form-select rounded">
                                <option value="">Select Unit No</option>
                            </select>
                        </div>

                        <input type="hidden" name="" id="selected_visitor_unit_no"
                            value="{{ $filter_visitor_unit_id ?? '' }}">

                        <input type="hidden" name="" id="selected_residence"
                            value="{{ $filter_resident_id ?? '' }}">

                        <input type="hidden" name="" id="selected_license"
                            value="{{ $filter_visitor_license ?? '' }}">

                        <input type="hidden" name="" id="selected_model"
                            value="{{ $filter_visitor_model ?? '' }}">

                        <input type="hidden" name="" id="selected_blk_no"
                            value="{{ $filter_visitor_blk_id ?? '' }}">

                    </div>
                    <span class="hide text-danger text-center filter_error mt-3 d-flex justify-content-center ">Please
                        fill
                        values to filter</span>
                </div>
                <div class="modal-footer">
                    {{-- <button type="button" class="btn btn-success visitor_filter_clear">Clear</button> --}}
                    <button type="button" class="btn form-cancel-btn" data-bs-dismiss="modal">Close</button>
                    <button type="button" class="btn form-submit-btn" id="visitor-filter-submit">Filter</button>
                </div>
            </div>
        </div>
    </div>
    @push('scripts')
        <!-- Add Splide Script-->
        <script>
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': `{{ csrf_token() }}`
                }
            });
        </script>
        <script src="{{ asset('js/visitors-page.js') }}"></script>
    @endPush
@endsection
