<div class="visitors-info-block p-3">
    @php
        $justify_style = 'justify-content-end';
        $show_filter = false;
        if (
            !empty($filter_estate_id) ||
            !empty($filter_resident_id) ||
            !empty($filter_visitor_model) ||
            !empty($filter_visitor_blk_no) ||
            !empty($filter_visitor_unit_no) ||
            !empty($filter_visitor_license) ||
            !empty($filtered_entry_date) ||
            !empty($filtered_exit_date)
        ) {
            $justify_style = 'justify-content-between';
            $show_filter = true;
        }
        $resident_name = $estate_name = null;
        if (!empty($estate_name_list) && count($estate_name_list) > 0 && !empty($filter_estate_id)) {
            foreach ($estate_name_list as $estate) {
                if ($estate->value == $filter_estate_id) {
                    $estate_name = $estate->label;
                    break;
                }
            }
        }
        if (!empty($residents_name_list) && count($residents_name_list) > 0 && !empty($filter_resident_id)) {
            foreach ($residents_name_list as $resident) {
                if ($resident->value == $filter_resident_id) {
                    $resident_name = $resident->label;
                    break;
                }
            }
        }
    @endphp
    <div class="visitors-search-section d-flex justify-content-between align-items-center mb-4">
        <div class="d-flex">
            {{-- <button class="btn bulk-action-btn d-flex justify-content-center align-items-center" id="">Bulk
                Action
                &nbsp;
                <svg xmlns="http://www.w3.org/2000/svg" width="10.86" height="5.72" viewBox="0 0 10.86 5.72">
                    <g id="arrow-down" transform="translate(-6.593 -15.569)">
                        <path id="Path_299" data-name="Path 299"
                            d="M16.7,15.7l-4.677,4.559L7.346,15.7a.447.447,0,0,0-.625,0,.426.426,0,0,0,0,.608L11.7,21.156a.468.468,0,0,0,.653,0l4.975-4.85a.426.426,0,0,0,0-.61.447.447,0,0,0-.625,0Z"
                            transform="translate(0 0)" fill="#6A7594" />
                    </g>
                </svg>
            </button>
            <button class="btn mx-3 apply-btn">
                Apply
            </button> --}}
            <select name="" id="" class=" rounded visitor_filter ">
                <option value="0" {{ empty($over_stayers) || $over_stayers != 1 ? 'selected' : '' }}>
                    View All Visitors
                </option>
                <option value="1" {{ !empty($over_stayers) && $over_stayers == 1 ? 'selected' : '' }}>
                    View Over Stayers
                </option>
            </select>

            <div>
                <button id="customPdfButton" class="btn add-btn mx-3 " type="button">Generate PDF</button>
            </div>
            {{-- @if (!empty($estate_details->id))
                @if (!empty($over_stayers) && $over_stayers == 1)
                    <a href="{{ route('estates.view', ['id' => $estate_details->id, 'tab' => 4]) }}"
                        class="btn add-btn">
                        View All Visitors
                    </a>
                @else
                    <a href="{{ route('estates.view', ['id' => $estate_details->id, 'tab' => 4, 'over_stayers' => 1]) }}"
                        class="btn add-btn">
                        View Over Stayers
                    </a>
                @endif
            @else
                @if (!empty($over_stayers) && $over_stayers == 1)
                    <a href="{{ route('visitors.get') }}" class="btn add-btn">
                        View All Visitors
                    </a>
                @else
                    <a href="{{ route('visitors.get', ['over_stayers' => 1]) }}" class="btn add-btn">
                        View Over Stayers
                    </a>
                @endif
            @endif --}}
        </div>
        <div class="d-flex">
            <input type="text" placeholder="Search Visitor" class="search mx-3 search_visitor">
            <button class="btn filter_btn" data-bs-toggle="modal" data-bs-target="#visitorfilter">
                <img src="{{ asset('assets/images/icons/filter.png') }}" alt="">
            </button>
        </div>
    </div>
    @if ($show_filter)

        <div class="d-flex align-items-center gap-2 mb-2">
            <span class="mx-2">Results filtered by</span>

            @if (!empty($filter_estate_id))
                <div class="filters-applied-list ml-2 my-auto  filter-type-list" style="">
                    <div class="d-flex">
                        <span class="my-auto">Estate:
                            <span class="filter-type-list-show mx-1">{{ $estate_name ?? '-' }}</span>
                        </span>
                        <button type="button" class="filter_close clear-filter px-0 py-0 my-auto border-0"
                            data-type="estate_id">
                            <img src="{{ asset('/assets/images/icons/close-filled.svg') }}" alt="close modal"
                                width="18">
                        </button>
                    </div>
                </div>
            @endif

            @if (!empty($filter_resident_id))
                <div class="filters-applied-list ml-2 my-auto  filter-type-list" style="">
                    <div class="d-flex">
                        <span class="my-auto">Resident:
                            <span class="filter-type-list-show mx-1">{{ $resident_name ?? '-' }}</span>
                        </span>
                        <button type="button" class="filter_close clear-filter px-0 py-0 my-auto border-0"
                            data-type="resident_id">
                            <img src="{{ asset('/assets/images/icons/close-filled.svg') }}" alt="close modal"
                                width="18">
                        </button>
                    </div>
                </div>
            @endif

            @if (!empty($filter_visitor_license))
                <div class="filters-applied-list ml-2 my-auto  filter-type-list" style="">
                    <div class="d-flex">
                        <span class="my-auto">Vehicle License:
                            <span class="filter-type-list-show mx-1">{{ $filter_visitor_license ?? '-' }}</span>
                        </span>
                        <button type="button" class="filter_close clear-filter px-0 py-0 my-auto border-0"
                            data-type="license">
                            <img src="{{ asset('/assets/images/icons/close-filled.svg') }}" alt="close modal"
                                width="18">
                        </button>
                    </div>
                </div>
            @endif

            @if (!empty($filter_visitor_model))
                <div class="filters-applied-list ml-2 my-auto  filter-type-list" style="">
                    <div class="d-flex">
                        <span class="my-auto">Make /Model:
                            <span class="filter-type-list-show mx-1">{{ $filter_visitor_model ?? '-' }}</span>
                        </span>
                        <button type="button" class="filter_close clear-filter px-0 py-0 my-auto border-0"
                            data-type="model">
                            <img src="{{ asset('/assets/images/icons/close-filled.svg') }}" alt="close modal"
                                width="18">
                        </button>
                    </div>
                </div>
            @endif

            @if (!empty($filtered_entry_date))
                <div class="filters-applied-list ml-2 my-auto  filter-type-list" style="">
                    <div class="d-flex">
                        <span class="my-auto">Entry Date:
                            <span class="filter-type-list-show mx-1">{{ $filtered_entry_date ?? '-' }}</span>
                        </span>
                        <button type="button" class="filter_close clear-filter px-0 py-0 my-auto border-0"
                            data-type="entry_date">
                            <img src="{{ asset('/assets/images/icons/close-filled.svg') }}" alt="close modal"
                                width="18">
                        </button>
                    </div>
                </div>
            @endif

            @if (!empty($filtered_exit_date))
                <div class="filters-applied-list ml-2 my-auto  filter-type-list" style="">
                    <div class="d-flex">
                        <span class="my-auto">Exit Date:
                            <span class="filter-type-list-show mx-1">{{ $filtered_exit_date ?? '-' }}</span>
                        </span>
                        <button type="button" class="filter_close clear-filter px-0 py-0 my-auto border-0"
                            data-type="exit_date">
                            <img src="{{ asset('/assets/images/icons/close-filled.svg') }}" alt="close modal"
                                width="18">
                        </button>
                    </div>
                </div>
            @endif

            @if (!empty($filter_visitor_blk_no))
                <div class="filters-applied-list ml-2 my-auto  filter-type-list" style="">
                    <div class="d-flex">
                        <span class="my-auto">Blk No:
                            <span class="filter-type-list-show mx-1">{{ $filter_visitor_blk_no ?? '-' }}</span>
                        </span>
                        <button type="button" class="filter_close clear-filter px-0 py-0 my-auto border-0"
                            data-type="blk_no">
                            <img src="{{ asset('/assets/images/icons/close-filled.svg') }}" alt="close modal"
                                width="18">
                        </button>
                    </div>
                </div>
            @endif

            @if (!empty($filter_visitor_unit_no))
                <div class="filters-applied-list ml-2 my-auto  filter-type-list" style="">
                    <div class="d-flex">
                        <span class="my-auto">Unit No:
                            <span class="filter-type-list-show mx-1">{{ $filter_visitor_unit_no ?? '-' }}</span>
                        </span>
                        <button type="button" class="filter_close clear-filter px-0 py-0 my-auto border-0"
                            data-type="unit_no">
                            <img src="{{ asset('/assets/images/icons/close-filled.svg') }}" alt="close modal"
                                width="18">
                        </button>
                    </div>
                </div>
            @endif

        </div>
    @endif
    <div class="table-responsive">
        <table class="table" id="visitors-info-table">
            <thead>
                <tr>
                    {{-- <th scope="col" class="align-middle" style="width:1%;">
                        <input type="checkbox" name="" class="table-check-box">
                    </th> --}}
                    <th scope="col" class="align-middle" style="width:5%;">Vehicle ID</th>
                    <th scope="col" class="align-middle" style="width:9%;">Entry Date/Time</th>
                    <th scope="col" class="align-middle" style="width:9%;">Exit Date/Time</th>
                    <th scope="col" class="align-middle" style="width:9%;">Validity Until</th>
                    <th scope="col" class="align-middle" style="width:8%;">Contact No.</th>
                    @if (!empty($menu) && $menu == 'visitors')
                        <th scope="col" class="align-middle" style="width:9%;">Resident /Estate Name</th>
                    @else
                        <th scope="col" class="align-middle" style="width:9%;">Resident</th>
                    @endif
                    <th scope="col" class="align-middle" style="width:5%;">Vehicle License</th>
                    <th scope="col" class="align-middle" style="width:7%;">Vehicle IU</th>
                    <th scope="col" class="align-middle" style="width:5%;">Vehicle Make/Model</th>
                    <th scope="col" class="align-middle" style="width:4%;">Bik Number</th>
                    <th scope="col" class="align-middle" style="width:2%;">Visiting Unit </th>
                    <th scope="col" class="align-middle" style="width:2%;">Action</th>
                </tr>
            </thead>
            <tbody>
                @if (!empty($visitors_list) && count($visitors_list) > 0)
                    @foreach ($visitors_list as $visitor)
                        <tr>
                            {{-- <td class="align-middle"><input type="checkbox" name="" id="">
                            </td> --}}
                            <td class="align-middle">{{ str_pad($loop->index + 1, 3, '0', STR_PAD_LEFT) }}</td>
                            <td class="align-middle">
                                {{ !empty($visitor->entry_time) ? date('M j, Y g.i A', strtotime($visitor->entry_time)) : '-' }}
                            </td>
                            <td class="align-middle">
                                {{ !empty($visitor->exit_time) ? date('M j, Y g.i A', strtotime($visitor->exit_time)) : '-' }}
                            </td>
                            <td
                                class="align-middle {{ $visitor->valid_to < Carbon\Carbon::now() ? 'text-danger' : '' }}">
                                {{ !empty($visitor->valid_to) ? date('M j, Y g.i A', strtotime($visitor->valid_to)) : '-' }}
                            </td>
                            {{-- <td class="align-middle">
                                @if ($visitor->valid_to < Carbon\Carbon::now())
                                    <img src="{{ asset('assets/images/icons/warning.svg') }}" alt="">
                                @else
                                    -
                                @endif
                            </td> --}}
                            <td class="align-middle">{{ $visitor->contact_number ?? '-' }}</td>
                            @if (!empty($menu) && $menu == 'visitors')
                                <td class="align-middle"><span
                                        class="resident_name_td">{{ $visitor->resident_name ?? '-' }}</span>,&nbsp;<span>{{ $visitor->estate_name ?? '' }}</span>
                                </td>
                            @else
                                <td class="align-middle">
                                    <span class="resident_name_td">{{ $visitor->resident_name ?? '-' }}</span>
                                </td>
                            @endif
                            <td class="align-middle">{{ $visitor->licence ?? '-' }}</td>
                            <td class="align-middle">{{ $visitor->iu ?? '-' }}</td>
                            <td class="align-middle">{{ $visitor->model ?? '-' }}</td>
                            <td class="align-middle">{{ $visitor->block_number ?? '-' }}</td>
                            <td class="align-middle">{{ $visitor->unit_number ?? '-' }}</td>
                            <td class="align-middle">
                                <div class="dropdown">
                                    <button class="btn table-action-btn" onclick="toggleDropdown(this)">
                                        <img src="{{ asset('assets/images/icons/menu_vertical.svg') }}"
                                            alt="" width="25" height="25">
                                    </button>
                                    <div class="dropdown-menu table-actions-dropdown" style="display: none;">
                                        <a class="dropdown-item action-links {{ $view }}"
                                            href="{{ route('visitors.view', ['id' => $visitor->id, 'menu' => !empty($current_url) && $current_url == 'estates' ? 'estates' : null]) }}"><img
                                                src="{{ asset('assets/images/icons/eye.svg') }}"
                                                alt="">&nbsp;View</a>

                                        @if ($visitor->created_by == auth()->id())
                                            <a class="dropdown-item action-links {{ $edit }}"
                                                href="{{ route('visitors.edit', ['id' => $visitor->id, 'menu' => !empty($current_url) && $current_url == 'estates' ? 'estates' : null]) }}"><img
                                                    src="{{ asset('assets/images/icons/edit.svg') }}"
                                                    alt="">&nbsp;Edit</a>
                                            <a class="dropdown-item action-links {{ $delete }}"
                                                href="{{ route('visitors.delete', ['id' => $visitor->id, 'vehicle_id' => $visitor->vehicle_id, 'menu' => !empty($current_url) && $current_url == 'estates' ? 'estates' : null]) }}"
                                                onclick="return deleteConfirmation(event);"><img
                                                    src="{{ asset('assets/images/icons/delete.svg') }}"
                                                    alt="">&nbsp;Delete</a>
                                        @endif
                                    </div>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                    {{-- @else
                    <tr>
                        <td class="text-center" colspan="14">
                            No records found
                        </td>
                    </tr> --}}
                @endif
            </tbody>
        </table>
    </div>
</div>
