@extends('layout.master')
@section('content')
    @php
        $userType = \App\Helpers\Helpers::getUserRole()->type_id ?? [];

        $userAccess = \App\Helpers\Helpers::getUserAccess() ?? [];
        $access = $userAccess['accesses'] ?? [];
        $menu = $_GET['menu'] ?? '';
    @endphp
    <div class="page-heading-block py-4">
        @if (!empty($menu) && $menu == 'estates')
            <nav style="--bs-breadcrumb-divider: '>';" aria-label="breadcrumb">
                <ol class="breadcrumb">
                    @if ($userType != 3 && $userType != 4)
                        <li class="breadcrumb-item"><a href="{{ route('estates.get') }}">Estates</a></li>
                    @endif
                    <li class="breadcrumb-item">
                        <a href="{{ route('estates.view', ['id' => $visitor->estate_id]) }}">
                            {{ $visitor->estate_name ?? '' }}
                        </a>
                    </li>
                    <li class="breadcrumb-item"><a
                            href="{{ route('estates.view', ['id' => $visitor->estate_id, 'tab' => 4]) }}">Visitors</a>
                    </li>
                    <li class="breadcrumb-item active" aria-current="page">{{ $visitor->full_name ?? '' }}</li>
                </ol>
            </nav>
        @else
            <nav style="--bs-breadcrumb-divider: '>';" aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{ route('visitors.get') }}">Visitors</a></li>
                    <li class="breadcrumb-item active" aria-current="page">{{ $visitor->full_name ?? '-' }}</li>
                </ol>
            </nav>
        @endif
        {{-- <div class="page-title-block d-flex align-items-center justify-content-between">
            <div class="d-flex align-items-center justify-content-between">
                <a href="{{ !empty($menu) && $menu == 'estates' ? route('estates.view', ['id' => $visitor->estate_id, 'tab' => 4]) : route('visitors.get') }}"
                    class="back-btn">
                    &#x276e; &nbsp;Back
                </a>

                <h4 class="mx-5 mb-0 font-weight-bold">View</h4>
            </div>
        </div> --}}
    </div>

    <div class="page-main-content">
        <div class="resident-details-block rounded py-5 px-4 my-4 d-flex justify-content-between">
            <div class="d-flex gap-4">
                <div class="resident-image-section">
                    <img src="{{ !empty($visitor->public_url) ? $visitor->public_url : asset('assets/images/icons/user-placehoder.svg') }}"
                        alt="" class="rounded" width="240" height="240">
                </div>
                <div class="resident-details-section p-2">
                    <h3 class="mb-2">{{ $visitor->full_name ?? '-' }}</h3>
                    <p class="mb-0">
                        Mobile Number: <span class="fw-bold">
                            {{ $visitor->contact_number ?? '-' }}
                        </span>
                    </p>
                    <p class="mb-0">
                        Vehicle License:
                        <span class="fw-bold">
                            @foreach ($vehicle_details ?? [] as $vehical)
                                {{ $loop->index != 0 ? ',' : '' }}{{ $vehical->licence ?? '-' }}
                            @endforeach
                        </span>
                    </p>
                    <p class="mb-0">
                        Vehicle IU:
                        <span class="fw-bold">
                            @foreach ($vehicle_details ?? [] as $vehical)
                                {{ $loop->index != 0 ? ',' : '' }}{{ $vehical->iu ?? '-' }}
                            @endforeach
                        </span>
                    </p>
                    <p class="mb-0">
                        Vehicle Count:
                        <span class="fw-bold">
                            {{ count($vehicle_details ?? []) }}
                        </span>
                    </p>
                    <p class="mb-0">
                        Unit No: <span class="fw-bold">
                            {{ $visitor->unit_number ?? '-' }}
                        </span>
                    </p>
                    <p class="mb-0">
                        Blk No: <span class="fw-bold">
                            {{ $visitor->block_number ?? '-' }}
                        </span>
                    </p>
                    <p class="mb-0">
                        Estate Name: <span class="fw-bold">
                            {{ $visitor->estate_name ?? '-' }}
                        </span>
                    </p>
                    <p class="mb-0">
                        Resident Name: <span class="fw-bold">
                            {{ $visitor->resident_name ?? '-' }}
                        </span>
                    </p>
                    <p class="mb-0">
                        Validity Date & Time: <span class="fw-bold">
                            {{ !empty($visitor->valid_to) ? date('d-M-Y h:ia', strtotime($visitor->valid_to)) : '-' }}
                        </span>
                    </p>
                </div>
            </div>
            @if ($visitor->created_by == auth()->id())
                <div
                    class="{{ !empty($userType) ? ($userType == 1 || ($userType == 2 && (!empty($access['visitors']) && in_array(3, $access['visitors']))) ? '' : 'hide') : 'hide' }}">
                    <a href="{{ route('visitors.edit', ['id' => $visitor->id, 'menu' => $menu ?? null]) }}"
                        class="btn small-btn">Edit</a>
                </div>
            @endif
        </div>

        <div>
            <div class="table-links-section">
                <ul class="nav nav-tabs">
                    <li class="nav-item">
                        <a class="nav-link mx-2 py-2 px-4 rounded-top table-links active" data-name="vehical-entry"
                            aria-current="page" href="javascript:void(0)">Vehicle Entry</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link mx-2 py-2 px-4 rounded-top table-links " data-name="vehical-exit"
                            href="javascript:void(0)">Vehicle Exit</a>
                    </li>
                </ul>
            </div>
            <div class="vehicle-info-block vehical-entry-block p-3">
                <div id="vehical-entry" class="vehical-table-block">
                    <div class="vehical-search-section d-flex justify-content-between align-items-center my-4">
                        <h4>Vehicle Entry Information</h4>
                        <div class="d-flex">
                            <input type="text" placeholder="Search Vehicle" class="search mx-3 vehicle_entry_search">
                            {{-- <button class="btn filter_btn">
                                <img src="{{ asset('assets/images/icons/filter.png') }}" alt="">
                            </button> --}}
                        </div>
                    </div>
                    <table class="table vehicle-info-table" id="vehicle-entry-table" style="width: 100%;">
                        <thead>
                            <tr>
                                <th scope="col" class="p-3">Entry Date/Time</th>
                                <th scope="col" class="p-3">Vehicle License</th>
                                <th scope="col" class="p-3">Name</th>
                                <th scope="col" class="p-3">Mobile</th>
                                <th scope="col" class="p-3">Visiting Unit</th>
                                <th scope="col" class="p-3" style="width: 15%">License Plate Image</th>
                            </tr>
                        </thead>
                        <tbody>
                            @if (!empty($vehicle_entry) && count($vehicle_entry) > 0)
                                @foreach ($vehicle_entry ?? [] as $vehicle)
                                    <tr>
                                        <td class="p-3">
                                            {{ !empty($vehicle->entry_time) ? date('M j, Y g.i A', strtotime($vehicle->entry_time)) : '-' }}
                                        </td>
                                        <td class="p-3">{{ $vehicle->licence ?? '-' }}</td>
                                        <td class="name-column p-3">{{ $vehicle->owner_name ?? '-' }}</td>
                                        <td class="p-3">
                                            {{ !empty($vehicle->contact_number) ? ($userType == 1 ? $vehicle->contact_number : 'XXXX' . substr($vehicle->contact_number, 4)) : '-' }}
                                        </td>
                                        <td class="p-3">{{ $vehicle->unit_number ?? '' }} -
                                            {{ $vehicle->block_number ?? '' }}</td>
                                        <td class="p-3">
                                            @if (!empty($vehicle->public_url))
                                                <a href="{{ $vehicle->public_url }}" class="popup-link">
                                                    <img src="{{ $vehicle->public_url }}" alt="plate image"
                                                        style="width:50px;height:50px;">
                                                </a>
                                            @else
                                                -
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                                {{-- @else
                                <tr>
                                    <td class="text-center" colspan="6">
                                        No records found
                                    </td>
                                </tr> --}}
                            @endif

                        </tbody>
                    </table>
                </div>

                <div id="vehical-exit" class="vehical-table-block hide">
                    <div class="vehical-search-section d-flex justify-content-between align-items-center my-4">
                        <h4>Vehicle Exit Information</h4>
                        <div class="d-flex">
                            <input type="text" placeholder="Search Vehicle" class="search mx-3 vehicle_exit_search">
                            {{-- <button class="btn filter_btn">
                                <img src="{{ asset('assets/images/icons/filter.png') }}" alt="">
                            </button> --}}
                        </div>
                    </div>
                    <table class="table vehicle-info-table" id="vehicle-exit-table" style="width: 100%">
                        <thead>
                            <tr>
                                <th scope="col" class="p-3">Exit Date/Time</th>
                                <th scope="col" class="p-3">Vehicle License</th>
                                <th scope="col" class="p-3">Name</th>
                                <th scope="col" class="p-3">Mobile</th>
                                <th scope="col" class="p-3">Visiting Unit</th>
                                <th scope="col" class="p-3" style="width: 15%">License Plate Image</th>
                            </tr>
                        </thead>
                        <tbody>
                            @if (!empty($vehicle_exit) && count($vehicle_exit) > 0)
                                @foreach ($vehicle_exit ?? [] as $vehicle)
                                    <tr>
                                        <td class="p-3">
                                            {{ !empty($vehicle->exit_time) ? date('M j, Y g.i A', strtotime($vehicle->exit_time)) : '-' }}
                                        </td>
                                        <td class="p-3">{{ $vehicle->licence ?? '-' }}</td>
                                        <td class="name-column p-3">{{ $vehicle->owner_name ?? '-' }}</td>
                                        <td class="p-3">
                                            {{ !empty($vehicle->contact_number) ? ($userType == 1 ? $vehicle->contact_number : 'XXXX' . substr($vehicle->contact_number, 4)) : '-' }}
                                        </td>
                                        <td class="p-3">{{ $vehicle->unit_number ?? '' }} -
                                            {{ $vehicle->block_number ?? '' }}</td>
                                        <td class="p-3">
                                            @if (!empty($vehicle->public_url))
                                                <a href="{{ $vehicle->public_url }}" class="popup-link">
                                                    <img src="{{ $vehicle->public_url }}" alt="plate image"
                                                        style="width:50px;height:50px;">
                                                </a>
                                            @else
                                                -
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                                {{-- @else
                                <tr>
                                    <td class="text-center" colspan="6">
                                        No records found
                                    </td>
                                </tr> --}}
                            @endif

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    @push('scripts')
        <script>
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': `{{ csrf_token() }}`
                }
            });
        </script>

        <script src="{{ asset('js/visitor-view-page.js') }}"></script>
    @endPush
@endsection
